// Generate components
import * as _ from "lodash";
// import * as fs from "fs-extra";

import { getRelativePath, getRelativeProjectPath } from "../../lib/files";

import { generateIndexTestTs } from "./generators/indexTestTs";

// generate test files
export const generateTests = (content: any, outputPath: any) => {
  const { name, test_plan } = content;

  const templateFolder: string = getRelativeProjectPath(
    "./src/commands/scaffold/templates"
  );
  const outputFolder: string = getRelativePath(outputPath);

  generateIndexTestTs({
    templateFolder,
    name,
    test_plan,
    outputFolder
  });

  return content;
};
