export const getInputVals = () => {
  const isWin = typeof window !== "undefined";
  if (isWin) {
    const inputs = document.getElementsByTagName("input");
    const selects = document.getElementsByTagName("select");
    const selectArray = Array.prototype.slice.call(selects);
    const selectVals = selectArray.map(input => ({
      name: input.name,
      value: input.value
    }));
    const inputArray = Array.prototype.slice.call(inputs);
    const inputVals = inputArray.map(input => ({
      name: input.name,
      value: input.value
    }));
    return [...inputVals, ...selectVals];
  }
  return false;
};

export const getInputValue = (name = '', data = {}) => {
  if (name === "email") console.log({ data })
  if (data.findIndex(itm => itm.name === name) > -1) {
    return data.filter(itm => itm.name === name && itm.value !== "")[0].value
  } else {
    return false;
  }
}
