import gql from 'graphql-tag';

// createDomainOnServer
export const createDomainOnServer = gql`
  mutation createDomainOnServer(
    $domain: String!
    $ssl: Boolean!
    $email: String!
    $proxyPass: String!
  ) {
    createDomainOnServer(domain: $domain, ssl: $ssl, email: $email, proxyPass: $proxyPass) {
      statusCode
    }
  }
`;
// createSSLOnServer
export const createSSLOnServer = gql`
  mutation createSSLOnServer($domain: String!, $email: String!) {
    createSSLOnServer(domain: $domain, email: $email) {
      statusCode
      response
    }
  }
`;

// deleteDomainOnServer
export const deleteDomainOnServer = gql`
  mutation deleteDomainOnServer($domain: String!) {
    deleteDomainonServer(domain: $domain) {
      statusCode
    }
  }
`;
