const { SERVER_ENDPOINT, INTEGRATIONS_ENDPOINT } = process.env;

module.exports = {
  getCampaigns: {
    limelight: `http://${SERVER_ENDPOINT}:8081/api/limelightCampaigns`,
    mailchimp: `https://${INTEGRATIONS_ENDPOINT}/prod/mailchimpGetLists`,
    getresponse: `https://${INTEGRATIONS_ENDPOINT}/prod/getresponseGetLists`,
    icontact: `https://${INTEGRATIONS_ENDPOINT}/prod/icontactGetLists`,
    sendreach: `https://${INTEGRATIONS_ENDPOINT}/prod/sendreachGetLists`,
    activecampaign: `https://${INTEGRATIONS_ENDPOINT}/prod/activecampaignGetLists`,
    convertkit: `https://${INTEGRATIONS_ENDPOINT}/prod/convertkitGetLIsts`,
    drip: `https://${INTEGRATIONS_ENDPOINT}/prod/dripGetLists`,
    ontraport: `https://${INTEGRATIONS_ENDPOINT}/prod/ontraportGetLists`
  },
  publishPage: `http://${SERVER_ENDPOINT}:8080/api/publish`,
  publishCampaign: `http://${SERVER_ENDPOINT}:8080/api/publishCampaign`,
  domainManagement: `http://${SERVER_ENDPOINT}:8089`
};
