"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var prisma_lib_1 = require("prisma-client-lib");
var typeDefs = require("./prisma-schema").typeDefs;

var models = [
  {
    name: "Domain",
    embedded: false
  },
  {
    name: "Integration",
    embedded: false
  },
  {
    name: "Page",
    embedded: false
  },
  {
    name: "Campaign",
    embedded: false
  },
  {
    name: "Object",
    embedded: false
  },
  {
    name: "User",
    embedded: false
  },
  {
    name: "CatalogItem",
    embedded: false
  },
  {
    name: "MediaItem",
    embedded: false
  },
  {
    name: "App",
    embedded: false
  },
  {
    name: "AppStatus",
    embedded: false
  }
];
exports.Prisma = prisma_lib_1.makePrismaClientClass({
  typeDefs,
  models,
  endpoint: `http://localhost:4466`
});
exports.prisma = new exports.Prisma();
