import React from "react";
import { FontIcon as RMDFontIcon } from "react-md";

/**
 * This component uses various font libraries to render an icon.
 * @param {object} props The props
 * @returns {function} The component
 */
const FontIcon = (props) => <RMDFontIcon {...props} />;

FontIcon.defaultProps = {};

export default FontIcon;
