# &lt;ScrollComponent /&gt; Component

## Description

An advanced, Animated Image Thumbnail.

## Checklist

This component should...

- Should render the component in the dom
- Should render a thumbnail with animations
- Should render A fixed sized Thumbnail of the url provided
- Should render A Thumbnail with props url,type,color
- Should render different type of Thumbnails for differnt types
- (Props) Should animate the thumbnail if animate = true
- (Props) Should change the type based on type = "NONE" | "SQUARE" | "LONG" | "LONGSLANT"
- (Props) Should Change the color based on color name (any html color)
- (Props) Should Change the image based on the URL (URL MUST BE PROVIDED)
- (Events) Should trigger the onClick() event when the thumbnail is clicked
- (Events) Should trigger the onMouseEnter() event when the mouse enters the thumbnail area
- (Events) Should trigger the onMouseLeave() event when the mouse leaves the thumbnail area

## Usage

To Use it...

> Copy this ScrollComponent Folder to your app.

Add it to your project...

```
import * as React from 'react'
import ScrollComponent from '<Location on this component>/ScrollComponent`

## Best Practices

To do: Keep the size (h \* w) same for all thumbnails

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
```
