import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<FlexTab /> Tests", () => {

  test.skip(`Should render the component in the dom`, () => {})

  test.skip(`Should render a list of tabs in the dom that number the same as the number of tabs in the tabs array prop`, () => {})

  test.skip(`Should render each tab with a caption that matches the tab item associated with that tab in the tabs array prop`, () => {})

  test.skip(`Should render each tab with an icon (if one is present) that matches the tab item associated with that tab in the tabs array prop`, () => {})

  test.skip(`Should render the tab as "active" it the tab in the tabs array prop has the isActive property set to true`, () => {})

  test.skip(`Should render a dropdown of actions where the number of actions match the number of items in the tabActions prop`, () => {})

  test.skip(`Should render a dropdown of actions on each tab if the enableTabDropdowns prop is set to true`, () => {})

  test.skip(`Should render a dropdown of actions that are activated on right-click if the enableContextMenu prop is set to true`, () => {})

  test.skip(`Should not permit renaming if the canRename prop is false`, () => {})

  test.skip(`Should not permit re-ordering if the canDrag prop is false`, () => {})

  test.skip(`Should not permit adding new tabs if the canAdd prop is false`, () => {})

  test.skip(`Should render the tabs as a carousel when the number of tabs exceed the number that can fit on the screen`, () => {})

  test.skip(`Should render the tabs normally with the overflow tabs hidden if the overflow prop is set to HIDDEN`, () => {})

  test.skip(`Should render the component in the componentWrapper prop if one is provided`, () => {})

  test.skip(`Should render the component in the tabComponent prop if one is provided`, () => {})

  test.skip(`Should render the same number of tabComponent props as the amount of tabs in the tabs array prop`, () => {})

  test.skip(`Should render the tabs as vertical if the vertical prop is set to true`, () => {})

  test.skip(`(Events) Should trigger the onTabSwitch() event when the tab is switched`, () => {})

  test.skip(`(Events) Should trigger the onTabRename() event when the tab is renamed`, () => {})

  test.skip(`(Events) Should trigger the onTabDelete() event when the tab is deleted`, () => {})

  test.skip(`(Events) Should trigger the onTabCreate() event when a tab is created`, () => {})

  test.skip(`(Events) Should trigger the onSelect() action in the tab action prop if the tab dropdown action is selected`, () => {})

  test.skip(`(Methods) Should switch the tab from one to another`, () => {})

  test.skip(`(Hooks) Should trigger the onComponentRender("FlexTabs") plugin hook when the component is being rendered`, () => {})

  test.skip(`(Hooks) Should trigger the onListItems("TabList") when the tab list is being generated`, () => {})

  test.skip(`(Hooks) Should trigger the onListItems("TabActions") plugin hook when the tab actions are being generated`, () => {})

  test.skip(`(Hooks) Should trigger the onEventTrigger("TabSwitch") plugin hook when a tab is switched`, () => {})

  test.skip(`(Hooks) Should trigger the onEventTrigger("TabRename") plugin hook when a tab is renamed`, () => {})

  test.skip(`(Hooks) Should trigger the onEventTrigger("TabDelete") plugin hook when a tab is deleted`, () => {})

  test.skip(`(Hooks) Should trigger the onEventTrigger("TabCreate") plugin hook when a tab is created`, () => {})

});
