import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Toolbar from "./Toolbar";

export default {
  title: "Components|Toolbar",
  component: Toolbar,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Toolbar>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Toolbar>
);

Default.story = {
  parameters: {
    jest: ["Toolbar"],
  },
};
