/* ** MAIN EDITOR COMPONENTS ** */

// import { Body } from "./Body";
// import { Button } from "./Button";
// import { Column, Columns } from "./Columns";
// import { Container } from "./Container";
// import { Cursor } from "./Cursor";
import { FormField } from "./FormField";
// import { Headline } from "./Headline";
// import { Picture } from "./Picture";
// import { Popup } from "./Popup";
import { Text } from "./Text";
// import { Video } from "./Video";
// import { Social } from "./Social";

// alternative names
const Paragraph = {
  ...Text,
  settings: {
    ...Text.settings,
    id: "paragraph"
  }
};

const TextInput = {
  ...FormField,
  settings: {
    ...FormField.settings,
    id: "textinput"
  }
};

export { Paragraph, TextInput };
export // Cursor,
// Body,
// Text,
// Container,
// Button,
// Popup,
// FormField,
// Headline,
// Picture,
// Video,
// Columns,
// Column,
// Social
{};
