const path = require("path");
require("dotenv").config({
  path: path.resolve(process.cwd(), "../.env")
});

const { INTEGRATIONS_ENDPOINT } = process.env;

module.exports = {
  // state: "local",
  // state: "staging",
  // state: "testing",
  state: "production",
  lambdaAddress: INTEGRATIONS_ENDPOINT,
  prospectUrl: {
    mailChimp: "/prod/emailAutoresponderSubmitFormData",
    getresponse: "/prod/emailAutoresponderSubmitFormData",
    icontact: "/prod/emailAutoresponderSubmitFormData",
    sendreach: "/prod/emailAutoresponderSubmitFormData",
    activecampaign: "/prod/emailAutoresponderSubmitFormData",
    convertkit: "/prod/emailAutoresponderSubmitFormData",
    drip: "/prod/emailAutoresponderSubmitFormData",
    ontraport: "/prod/emailAutoresponderSubmitFormData"
  },
  orderUrl: {
    stripe: "/prod/stripeOneClickUpsell",
    authorize: "/prod/authorizedotnetOneClidkUpsell",
    paypal: "/prod/paypalOneClickUpsell"
  },
  upsellUrl: {
    stripe: "/prod/stripeOneClickUpsell",
    authorize: "/prod/authorizedotnetOneClidkUpsell",
    paypal: "/prod/paypalOneClickUpsell"
  }
};
