const { uniq, keys, has } = require('lodash')
const generateFontList = (configContent, content) => {
  // const content = JSON.parse(pageContent);
  // console.log({ content })
  const toProcess = content.map(itm => itm.content);

  // console.log("PAGE CONTENT FOR FONTS", toProcess);

  let fontList = [];

  toProcess.forEach(itm => {
    const itmContent = JSON.parse(itm);

    itmContent.forEach(itm => {
      const k = keys(itm).filter(i => has(itm[i], 'fontFamily'))
      k.forEach(i => {
        const { fontFamily } = itm[i]
        if (fontList.findIndex(ff => ff === fontFamily))
          fontList.push(fontFamily)
      })
    })


  });

  return uniq(fontList);
};

module.exports = generateFontList