import React, { Fragment } from "react";
import { BrowserRouter } from "react-router-dom";

export const AppConfig = React.createContext();

export default props => {
  return (
    <AppConfig.Provider value={{ ...props }}>
      <BrowserRouter>
        <Fragment>{props.children}</Fragment>
      </BrowserRouter>
    </AppConfig.Provider>
  );
};
