import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import LoginContainer from "./LoginContainer";

export default {
  title: "Components|Auth/Containers/LoginContainer",
  component: LoginContainer,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <LoginContainer
    onVerify=""
  >
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </LoginContainer>
);

Default.story = {
  parameters: {
    jest: ["LoginContainer"],
  },
};
