# &lt;InitialValue /&gt; Component

## Description

A component for collecting the initial value to use for the specific form field

## Checklist

This component should...

- (Rendering) Should render in the dom
- (Rendering) Should render the input field based on the type of form field the attribute is for (e.g. render a on/off checkbox if the type prop is a checkbox)
- (Rendering) Should render a rich text editor if the fieldType is content
- (Rendering) Should render a date picker if fieldType is date
- (Events) Should trigger onChange when the initial value field updates
- (Events) Should trigger onBlur when the initial value field loses focus

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as InitialValue from '@sandcastle/components/InitialValue`

export default () => (
  <InitialValue

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
