import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";
import WebFontLoader from "webfontloader";

import LinkSelector from "./LinkSelector";

WebFontLoader.load({ google: { families: ["Material Icons"] } });

export default {
  title: "Modules|CRUD/AttributeBuilder/Attributes/LinkSelector",
  component: LinkSelector,
  excludeStories: /.*Data$/,
};

export const Default: any = () => <LinkSelector />;

Default.story = {
  parameters: {
    jest: ["LinkSelector"],
  },
};
