import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Placeholder from "./Placeholder";

export default {
  title: "Modules|CRUD/AttributeBuilder/Attributes/Placeholder",
  component: Placeholder,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Placeholder>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Placeholder>
);

Default.story = {
  parameters: {
    jest: ["Placeholder"],
  },
};
