import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";
import WebFontLoader from "webfontloader";

import PresetSelector from "./PresetSelector";

WebFontLoader.load({ google: { families: ["Material Icons"] } });

export default {
  title: "Modules|CRUD/AttributeBuilder/Attributes/PresetSelector",
  component: PresetSelector,
  excludeStories: /.*Data$/,
};

export const Default: any = () => <PresetSelector />;

Default.story = {
  parameters: {
    jest: ["PresetSelector"],
  },
};
