# &lt;ValidationCriteria /&gt; Component

## Description

Provides a mechanism for setting up a list of validation conditions to enforce for the incoming form field • Returns a Yup ready schema object for use as in a global validation situation

## Checklist

This component should...

- (Rendering) Should render in the dom
- (Rendering) Should render a different criteria based on the type of form field the attribute is for
- (Rendering) Should render criteria asking for specific file types and max file size if the fieldType is FileUpload
- (Events) Should trigger onChange() when the column validation criteria changes
- (Action) Should pass along the updated version of the criteria to the onChange object
- (Action) Should convert a validation data object into a Yup ready validation schema

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as ValidationCriteria from '@sandcastle/components/ValidationCriteria`

export default () => (
  <ValidationCriteria

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
