import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ValidationCriteria from "./ValidationCriteria";

export default {
  title: "Modules|CRUD/AttributeBuilder/Attributes/ValidationCriteria",
  component: ValidationCriteria,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <ValidationCriteria>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </ValidationCriteria>
);

Default.story = {
  parameters: {
    jest: ["ValidationCriteria"],
  },
};
