# &lt;AlphabetFilter /&gt; Component

## Description

A vertical list of letters (the alphabet) that filter the DisplayItems when clicked

## Checklist

This component should...

- Should render in the dom
- Should overwrite the default container style with the containerStyle prop if one is provided
- Should overwrite the character style with the characterStyle prop if one is provided
- Should triggers an onClick event when a alphabet character is clicked

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as AlphabetFilter from '@sandcastle/components/AlphabetFilter`

export default () => (
  <AlphabetFilter
    containerStyle=""
    characterStyle=""
    onClick=""
  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
