import React from "react";
import { EmptyStateComponent } from "../";

export default {
  title: "Modules|CRUD/DisplayItems/EmptyStateComponent",
  excludeStories: /.*Data$/
};

export const sampleEmptyStateData = {};

export const DefaultComponent = () => (
  <EmptyStateComponent
    {...sampleEmptyStateData}
    message={<p>This is a sample message</p>}
    image={
      <img src="https://uploads.toptal.io/blog/image/128038/toptal-blog-image-1548744925019-395cde9862cfed376f3dfb7c907604d6.jpg" />
    }
  />
);

export const WithMessage = () => (
  <EmptyStateComponent
    {...sampleEmptyStateData}
    message={<p>This is a sample message</p>}
  />
);

export const WithImage = () => (
  <EmptyStateComponent
    {...sampleEmptyStateData}
    image={
      <img src="https://uploads.toptal.io/blog/image/128038/toptal-blog-image-1548744925019-395cde9862cfed376f3dfb7c907604d6.jpg" />
    }
  />
);

export const WithChildren = () => (
  <EmptyStateComponent {...sampleEmptyStateData}>
    <p>Thils is a child element</p>
  </EmptyStateComponent>
);
