# &lt;EmptyStateComponent /&gt; Component

## Description

Shows an empty state message, image, and optional action item

## Checklist

This component should...

- Should render in the dom
- Should show the provided message in the dom
- Should show the provided image in the dom
- Should render any children provided

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as EmptyStateComponent from '@sandcastle/components/EmptyStateComponent`

export default () => (
  <EmptyStateComponent
    message={<div />}
    image={<div />}
    children={<div />}
  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
