# &lt;SelectFieldType /&gt; Component

## Description

• Presents a way to select the type of form field. • Provides a number of common (prebuilt) choices (name/email/shipping) • Lets the user create a customer one as well

## Checklist

This component should...

- (Rendering) Should renders in the dom
- (Rendering) Should show a list of common choices in the selection menu
- (Rendering) Should show a list of custom field types in the selection menu
- (Rendering) Should shows the value provided in props as a label in the dom
- (Events) Should trigger the onChange event when a selection is made
- (Events) Should pass along the selected payload to the onChange event when the selection is made
- (Actions) Should populate the AttributeContainer with pre-filled out content when selection of a common choice is made

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as SelectFieldType from '@sandcastle/components/SelectFieldType`

export default () => (
  <SelectFieldType

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
