import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import SelectFieldType from "./SelectFieldType";

export default {
  title: "Modules|CRUD/FormBuilder/Loaders/EditFormField/SelectFieldType",
  component: SelectFieldType,
  excludeStories: /.*Data$/,
};

export const Default: any = () => <SelectFieldType />;

Default.story = {
  parameters: {
    jest: ["SelectFieldType"],
  },
};
