import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import FileUpload from "./FileUpload";
import { EditorMode } from "../../../../Editor/types";

export default {
  title: "Modules|CRUD/FormBuilder/Form Fields/FileUpload",
  component: FileUpload,
  excludeStories: /.*Data$/,
};

export const Live: any = () => <FileUpload mode={EditorMode.LIVE} />;

export const Edit: any = () => <FileUpload mode={EditorMode.EDITOR} />;

Live.story = {
  parameters: {
    jest: ["FileUpload"],
  },
};
