import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import TextAreaField from "./TextAreaField";
import { EditorMode } from "../../../../Editor/types";

export default {
  title: "Modules|CRUD/FormBuilder/Form Fields/TextAreaField",
  component: TextAreaField,
  excludeStories: /.*Data$/,
};

export const Live: any = () => <TextAreaField mode={EditorMode.LIVE} />;

export const Edit: any = () => <TextAreaField mode={EditorMode.EDITOR} />;

Live.story = {
  parameters: {
    jest: ["TextAreaField"],
  },
};
