import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import TextField from "./TextField";
import { EditorMode } from "../../../../Editor/types";

export default {
  title: "Modules|CRUD/FormBuilder/Form Fields/TextField",
  component: TextField,
  excludeStories: /.*Data$/,
};

export const Live: any = () => <TextField mode={EditorMode.LIVE} />;

export const Edit: any = () => <TextField mode={EditorMode.EDITOR} />;

Live.story = {
  parameters: {
    jest: ["TextField"],
  },
};
