import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Dashboard from "./Dashboard";

export default {
  title: "Modules|Dashboard",
  component: Dashboard,
  excludeStories: /.*Data$/,
};

const widgets = [
  {
    title: "Container 1",
  },
  {
    title: "Container 2",
  },
  {
    title: "Container 3",
  },
];

export const Default: any = () => <Dashboard widgets={widgets} />;

Default.story = {
  parameters: {
    jest: ["Dashboard"],
  },
};
