# &lt;ComponentWrapper /&gt; Component

## Description

The container that is wrapped around each component in the editor

## Checklist

This component should...

- Should render in dom as parent to the editor component
- Should set the isShowingProperties prop to true when the properties are showing
- Should set the isShowingProperties prop to true when setIsEditing() method is called

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as ComponentWrapper from '@sandcastle/components/ComponentWrapper`

export default () => (
  <ComponentWrapper
    isShowingProperties=""
    children=""
  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
