import * as React from "react";
import { action } from "@storybook/addon-actions";
// import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";
import { ComponentTypes } from "@sc/plugins/webcomponents/v2/types";
import { sampleContentData } from "../../module.stories";

import ItemLegend from "./ItemLegend";

export default {
  title: "Modules|Editor/ItemLegend",
  component: ItemLegend,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <ItemLegend content={sampleContentData} title="Item Legend">
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </ItemLegend>
);

Default.story = {
  parameters: {
    jest: ["ItemLegend"],
  },
};
