# &lt;InlineControls /&gt; Component

## Description

The toolbar of <InlineControlButtons /> or Button Groups for controlling formatting, etc

## Checklist

This component should...

- Should not render any inline controls if the isShowing prop is false
- Should render a collection of buttons that match the list provided in the buttonList prop
- Should show the inline control buttons in the location provided in the position prop
- Should triggers the `onlnlineControlsRender` plugin hook when the InlineControls are rendering

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as InlineControls from '@sandcastle/components/InlineControls`

export default () => (
  <InlineControls

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
