import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Page from "./Page";

export default {
  title: "Modules|Page",
  component: Page,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Page>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Page>
);

Default.story = {
  parameters: {
    jest: ["Page"],
  },
};
