import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<Page /> Tests", () => {

  test.skip(`(Rendering) Should render the component in the dom`, () => {})

  test.skip(`(Rendering) Should be accessible at the url path indicated in the path props`, () => {})

  test.skip(`(Rendering) Should not render a toolbar when the disableToolbar props is true`, () => {})

  test.skip(`(Rendering) Should render the component provided in the toolbarComponent props instead of the default toolbar if one is provided`, () => {})

  test.skip(`(Rendering) Should not render an appDrawer if the disableAppDrawer prop is true`, () => {})

  test.skip(`(Rendering) Should render the same number of tabs that are in the tabs array`, () => {})

  test.skip(`(Rendering) Should not render any page tabs if the disableTabs prop is true`, () => {})

  test.skip(`(Rendering) Should always render children`, () => {})

  test.skip(`(Methods) Should update the toolbar content if the setToolbarContent() method is ever called`, () => {})

  test.skip(`(Events) Should trigger the onComponentRender("Page") plugin hook when a Page renders in the dom`, () => {})

  test.skip(`(Events) Should trigger the onComponentRender("Toolbar") plugin hook when a toolbar renders in the dom`, () => {})

  test.skip(`(Events) Should trigger the onComponentRender("AppDrawer") plugin hook when the app drawer renders in the dom`, () => {})

  test.skip(`(Events) Should render the onListItems("toolbarItems") plugin hook when the list of toolbar actions are being generated`, () => {})

  test.skip(`(Events) Should render the onListItems("pageTabs") plugin hook when the list of page tabs are being generated`, () => {})

});
