import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Properties from "./Properties";

export default {
  title: "Modules|Properties",
  component: Properties,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Properties title="" tabs={[]} children={<div />}>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Properties>
);

Default.story = {
  parameters: {
    jest: ["Properties"],
  },
};
