import { SectionTypes } from "@sc/modules/v2/Properties/types";

export interface GeneratorProps {
  data: IPropertyBuilderSettings;
  title?: string;
}

export interface IPropertyBuilderSettings {
  main?: {
    tabs?: string[];
    sections?: {
      tab?: string;
      id?: string;
      group?: string;
      type: SectionTypes;
      settings?: any;
      caption?: string;
      sectionWrap?: boolean;
    }[];
  };
  inline?: any;
  quick?: any;
}
