import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import DropDownCollapse from "./DropDownCollapse";

export default {
  title: "Modules|Properties/Groups/DropDownCollapse",
  component: DropDownCollapse,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <DropDownCollapse text="Testing">
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </DropDownCollapse>
);

Default.story = {
  parameters: {
    jest: ["DropDownCollapse"],
  },
};
