# &lt;DropDownCollapse /&gt; Component

## Description

A dropdown menu of FancySelectors

## Checklist

This component should...

- The component should render in the dom
- Should render a caption in the dom that matches the text prop
- Should not show children if the isExpanded prop is false
- Should toggle between collapsed and expanded when clicked
- Should trigger the onChange() event when the dropdown is changed
- Should trigger the _onDropDownCollapseRender_ plugin hook when the DropDownCollapse is being rendered
- Should trigger the _onDropDownCollapseChange_ plugin hook when the dropdown is changed

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as DropDownCollapse from '@sandcastle/components/DropDownCollapse`

export default () => (
  <DropDownCollapse

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
