# &lt;Width /&gt; Component

## Description

Creates a Button Slider Group to Change the Components Width

## Checklist

This component should...

- Should render the component in the dom
- Should update the width to the value when the slider has changed
- Should trigger the onChange() event when the setting changes
- Should trigger the _onWidthChange_ plugin hook when the setting changes
- Should trigger the _onWidthRender_ plugin hook when the component is being rendered

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as Width from '@sandcastle/Components/Individual Properties/Width`

export default () => (
  <Width

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
