import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Height from "./Height";

export default {
  title: "Modules|Properties/Individual Properties/Height",
  component: Height,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Height
    showSlider
    onChange={action("Height Changed")}
    isMax
    showMaxCheck
    maxValue={100}
    value={66}
  />
);

Default.story = {
  parameters: {
    jest: ["Height"],
  },
};
