import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Padding from "./Padding";

export default {
  title: "Modules|Properties/Individual Properties/Padding",
  component: Padding,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Padding>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Padding>
);

Default.story = {
  parameters: {
    jest: ["Padding"],
  },
};
