import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Spacing from "./Spacing";

export default {
  title: "Modules|Properties/Individual Properties/Spacing",
  component: Spacing,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Spacing>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Spacing>
);

Default.story = {
  parameters: {
    jest: ["Spacing"],
  },
};
