import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Background from "./Background";

export default {
  title: "Modules|Properties/Sections/Background",
  component: Background,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Background>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Background>
);

Default.story = {
  parameters: {
    jest: ["Background"],
  },
};
