import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<BehaviorsAndActions /> Rendering >", () => {
  test.todo(`Should render the component in the dom`);

  test.todo(
    `Should render an <ActionSelector /> component for each behavior associated with this item`
  );
  test.todo(
    `Should show the text found in the label prop as the title for the section (and each action's fieldset group)`
  );

  test.todo(
    `Should only show a subset of behaviors based on the filter given in the filter prop (e.g. only show button behaviors, etc.)`
  );

  test.todo(
    `The actions property of the editor item's setting object should update to reflect the changes set when the onUpdate() event has been called`
  );
});

describe("<BehaviorsAndActions /> Actions >", () => {
  test.skip(`Should be able to add new behaviors to the list so that multiple behaviors can be tracked`, () => {});

  test.skip(`Should be able to delete any behavior and have it be removed from the list of behaviors to track`, () => {});

  test.skip(`Should be able to add multiple actions to any of my tracked behaviors`, () => {});

  test.skip(`Should be able to delete any <ActionSelector />'s that show and have it be removed from the list of actions to perform`, () => {});
});

describe("<BehaviorsAndActions /> Events >", () => {
  test.skip(`Should trigger the onUpdate() event when an interaction setting has changed`, () => {});
});

describe("<BehaviorsAndActions /> Hooks >", () => {
  test.skip(`Should trigger the [onInteractionUpdate] plugin hook when an interaction setting has changed`, () => {});

  test.skip(`Should trigger the [onInteractionsRender] plugin hook when the Interactions component is being rendered`, () => {});
});
