import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<ActionSubSelector /> Rendering >", () => {
  test.todo(`Should render in the dom`);

  test.skip(`Should have an option to bypass picking a subselector (e.g. subselector type is _NONE_)`, () => {});

  test.todo(
    `Should render the appropriate sub selector component based on the chosen _type_ in the props`
  );
});

describe("<ActionSubSelector /> Events >", () => {
  test.skip(`Should trigger the onSetAction() event when a action is to be set for the editor item`, () => {});
});

describe("<ActionSubSelector /> Actions >", () => {
  test.todo(
    `Should update the action object's properties once the sub selector information is set`
  );
});

describe("<ActionSubSelector /> Hooks >", () => {
  test.skip(`Should trigger the _onSetAction_ plugin hook when an action is to be set for an editor item`, () => {});

  test.skip(`Should trigger the onSubSelectionRender({type}) plugin hook`, () => {});
});
