import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import BehaviorSelector from "./BehaviorSelector";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Components/Behavior Selector",
  component: BehaviorSelector,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <BehaviorSelector>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </BehaviorSelector>
);

Default.story = {
  parameters: {
    jest: ["BehaviorSelector"],
  },
};
