import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import BehaviorSubSelector from "./BehaviorSubSelector";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Components/Behavior Subselector",
  component: BehaviorSubSelector,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <BehaviorSubSelector>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </BehaviorSubSelector>
);

Default.story = {
  parameters: {
    jest: ["BehaviorSubSelector"],
  },
};
