import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import CreateTag from "./CreateTag";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Sub Selectors/CreateTag",
  component: CreateTag,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <CreateTag>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </CreateTag>
);

Default.story = {
  parameters: {
    jest: ["CreateTag"],
  },
};
