# &lt;CreateTag /&gt; Component

## Description

Lets the user enter the name of the tag they want applied when this action is chosen. Lets the user enter an optional value to associate with the tag

## Checklist

This component should...

- Should render the component in the dom
- Should trigger the onSubSelectionRender([CreateTag]) plugin hook when the CreateTag component is rendering
- Should trigger the onChange() event when the CreateTag settings have been set
- Should update the action settings with the name of the tag, and optional value of the tag once the CreateTag settings change

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as CreateTag from '@sandcastle/Components/Sections/CreateTag`

export default () => (
  <CreateTag

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
