import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import GoToUrl from "./GoToUrl";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Sub Selectors/GoToUrl",
  component: GoToUrl,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <GoToUrl>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </GoToUrl>
);

Default.story = {
  parameters: {
    jest: ["GoToUrl"],
  },
};
