# &lt;PopupOptions /&gt; Component

## Description

Lets the user select from a list of available popup windows or create a new one from scratch

## Checklist

This component should...

- Should render the component in the dom
- Should show the list of existing popup windows in the dropdown menu to select from
- Should show the chosen popup window in the dropdown menu if one was previously chosen
- Should let the user create a new popup window
- Should trigger the onChange() event when the popup settings have been set
- Should update the action settings with the correct popup action information once the popup settings change
- Should trigger the onSubSelectionRender([PopupOptions]) plugin hook when the PopupOptions component is rendering

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as PopupOptions from '@sandcastle/Components/Sections/PopupOptions`

export default () => (
  <PopupOptions

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
