# &lt;ShowHide /&gt; Component

## Description

Lets the user indicate which page item they want to show, and which page item they want to hide once the action is triggered

## Checklist

This component should...

- Should render the component in the dom
- Should show a list of page items that the user can choose to [show] as part of this action
- Should show a list of page items that the user can choose to [hide] as part of this action
- Should update the action settings with the id of the components to show and hide once the ShowHide settings change
- Should trigger the onSubSelectionRender([ShowHide]) plugin hook when the ShowHide component is rendering
- Should trigger the onChange() event when the ShowHide settings have been set

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as ShowHide from '@sandcastle/Components/Sections/ShowHide`

export default () => (
  <ShowHide

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
