# &lt;SubmitForm /&gt; Component

## Description

A link to open campaign settings. If for example, a button is clicked that has an action set to SUBMIT_FORM, by associating a 3rd party campaign with this page, the system will know to pass the form data to it

## Checklist

This component should...

- Should render the component in the dom
- Should trigger the onSubSelectionRender([SubmitForm]) plugin hook when the GoToUrl component is rendering
- Should open the campaign settings window when the rendered link is clicked

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as SubmitForm from '@sandcastle/Components/Sections/SubmitForm`

export default () => (
  <SubmitForm

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
