import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import SubmitForm from "./SubmitForm";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Sub Selectors/SubmitForm",
  component: SubmitForm,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <SubmitForm>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </SubmitForm>
);

Default.story = {
  parameters: {
    jest: ["SubmitForm"],
  },
};
