import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ObjectPresets from "./ObjectPresets";
import Preset from "./Preset";

export default {
  title: "Modules|Properties/Sections/ObjectPresets",
  component: ObjectPresets,
  excludeStories: /.*Data$/,
  subcomponents: {
    Preset,
  },
};

export const Default: any = () => (
  <ObjectPresets>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </ObjectPresets>
);

Default.story = {
  parameters: {
    jest: ["ObjectPresets"],
  },
};
