import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ObjectPreview from "./ObjectPreview";

export default {
  title: "Modules|Properties/Sections/ObjectPreview",
  component: ObjectPreview,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <ObjectPreview>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </ObjectPreview>
);

Default.story = {
  parameters: {
    jest: ["ObjectPreview"],
  },
};
