import * as React from "react";

interface PositionPaddingProps {
  /**
   * ...all of the section props
   */
  sectionProps?: any;

  /**
   * Triggers when the position/padding changes in some way
   */
  onChange?: () => void;
}

/**
 * A section for configuring the position and padding of an object
 */
const PositionPadding: React.FC<PositionPaddingProps> = ({ children }) => {
  return <div>{children}</div>;
};

export default PositionPadding;
