# &lt;PositionPadding /&gt; Component

## Description

A section for configuring the position and padding of an object

## Checklist

This component should...

- Should render the PositionPadding Component in the dom
- Triggers the onChange() event when the position/padding changes in some way
- Triggers the _onObjectPreviewRender_ plugin hook when the ObjectPreview component renders
- Triggers the _onPositionPaddingChange_ plugin hook when the position/padding changes in some way

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as PositionPadding from '@sandcastle/Components/Sections/PositionPadding`

export default () => (
  <PositionPadding

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
