import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<WidthHeight /> Rendering >", () => {
  test.todo(
    `Should not render the Width component when the showWidthGroup prop is false`
  );

  test.todo(
    `Should not render the Height component when the showHeightGroup prop is false`
  );
});

describe("<WidthHeight /> Events >", () => {
  test.todo(
    `Triggers the onChange() event when the width or height changes in some way`
  );
});

describe("<WidthHeight /> Hooks >", () => {
  test.skip(`Triggers the _onWidthHeightRender_ plugin hook when the WidthHeight component renders`, () => {});

  test.skip(`Triggers the _onWidthHeightChange_ plugin hook when the width or height changes in some way`, () => {});
});
