import * as React from "react";

interface WidthHeightProps {
  /**
   * ...all of the section props
   */
  sectionProps?: any;

  /**
   * Whether or not to show the Width properties
   */
  showWidthGroup?: Boolean;

  /**
   * Whether or not to show the Height properties
   */
  showHeightGroup?: Boolean;

  /**
   * Triggers when the width or height changes in some way
   */
  onChange?: () => void;
}

/**
 * A section for configuring the width and height of an object
 */
const WidthHeight: React.FC<WidthHeightProps> = ({ children }) => {
  return <div>{children}</div>;
};

export default WidthHeight;
