const _ = require("lodash");

module.exports = {
  getParams: params => {
    return { ...params, app_id: params.payload.app_id };
  },
  getResponse: json => {
    const myCampaigns = _.get(json, "email_list", []);
    const campaigns = myCampaigns.map(itm => ({
      campaign_id: itm.id,
      campaign_name: itm.name
    }));

    return {
      ...json,
      campaigns
    };
  }
};
