const { merge } = require("lodash");

const sendEmail = require("./sendEmail");
const getProviderCampaigns = require("./getProviderCampaigns");

module.exports = {
  schema: [sendEmail.schema, getProviderCampaigns.schema],
  resolvers: merge(sendEmail.resolvers, getProviderCampaigns.resolvers)
};
