const fetch = require("isomorphic-fetch");
const consts = require("../consts");
// const settings = require("../config");

const url = consts.domainManagement;

export default async event => {
  const header = {
    method: "post",
    headers: { "Content-Type": "application/json", Accept: "application/json" },
    body: JSON.stringify(event.data)
  };

  const response = await fetch(`${url}/createSSL`, header);
  const json = await response.json();

  return {
    data: {
      statusCode: 200,
      response: json
    }
  };
};
