const fetch = require("isomorphic-fetch");
const consts = require("../consts");
// const settings = require("../config");

const url = consts.domainManagement;

export default async event => {
  const header = {
    method: "post",
    headers: { "Content-Type": "application/json", Accept: "application/json" },
    body: JSON.stringify(event.data)
  };

  await fetch(`${url}/deleteDomain`, header);

  return {
    data: {
      statusCode: 200
    }
  };
};
