const { merge } = require("lodash");

const domains = require("./domains");
const publishing = require("./publishing");
const stats = require("./stats");

module.exports = {
  schema: [domains.schema, publishing.schema, stats.schema],
  resolvers: merge(domains.resolvers, publishing.resolvers, stats.resolvers)
};
