const path = require("path")

const paths = [
  // path.resolve('../../'),
  // path.resolve('./'),
  path.resolve('../../plugins/'),
  path.resolve('../../platform/'),
  // path.resolve('../../plugins/v2/'),
  // // path.resolve('../../plugins/v2/webcomponents'),
  // // path.resolve('../../platform/modules/v2/Editor'),
  // path.resolve('../../platform/modules/'),
  // path.resolve('../../platform/components/'),
  // path.resolve('../../platform/modules/v2'),
]

module.exports = {
  stories: paths.map(fldr => `${fldr}/**/*.stories.(ts|tsx|mdx)`),
  addons: [
    '@storybook/addon-docs',
    '@storybook/addon-knobs/register',
    '@storybook/addon-actions/register',
    '@storybook/addon-viewport/register',
    '@storybook/addon-links/register',
    '@storybook/addon-jest/register'
  ],
  webpackFinal: async config => {

    //where to look
    paths.forEach(fldr => config.module.rules[0].include.push(fldr));

    // config.module.rules.push({
    //   test: /\.(ts|tsx)$/,
    //   use: [
    //     // {
    //     //   loader: require.resolve('ts-loader'),
    //     // },
    //     // Optional
    //     {
    //       loader: require.resolve('react-docgen-typescript-loader'),
    //     },
    //   ],
    // });

    config.module.rules.push({
      test: /\.(ts|tsx)$/,
      loader: require.resolve('babel-loader'),
      // include: paths,
      options: {
        presets: [['react-app', { flow: false, typescript: true }]],
      },
    })

    // config.module.rules.push({
    //   test: /\.(ts|tsx)$/,
    //   use: [
    //     // {
    //     //   loader: require.resolve('ts-loader'),
    //     // },
    //     {
    //       loader: require.resolve('react-docgen-typescript-loader')
    //     }
    //   ]
    // })

    //   // config.module.rules.push({
    //   //   test: /\.tsx?$/,
    //   //   // include: path.resolve(__dirname, '../src'),
    //   //   include: paths,
    //   //   loader: 'react-docgen-typescript-loader',
    //   // });


    //   // config.module.rules.push({
    //   //   test: /\.tsx?$/,
    //   //   include: path.resolve(__dirname, "../src"),
    //   //   use: [
    //   //     require.resolve("ts-loader"),
    //   //     {
    //   //       loader: require.resolve("react-docgen-typescript-loader"),
    //   //       options: {
    //   //         // Provide the path to your tsconfig.json so that your stories can
    //   //         // display types from outside each individual story.
    //   //         tsconfigPath: path.resolve(__dirname, "../tsconfig.json"),
    //   //       },
    //   //     },
    //   //   ],
    //   // });

    config.resolve.extensions.push('.ts', '.tsx');
    return config;
  },
};