# &lt;SectionItem /&gt; Component

## Description

The specific item in the legend representing a section on the page

## Checklist

This component should...

- Should render in the dom
- Show render the component in a state (hovered, normal, active) that matches the state passed along in the settings prop
- Should display an icon based on the section type
- Should show a label that represents the text provided in the label prop
- Should trigger the onClick event when it is clicked on
- Should trigger the onMouseEnter event when the user double-clicks on the section item
- Should trigger the onMouseLeave event when the user's mouse leaves the section item
- Should trigger the onDoubleClick event when it is double-clicked on

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as SectionItem from '@sandcastle/components/SectionItem`

export default () => (
  <SectionItem

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
