# &lt;EditorSection /&gt; Component

## Description

The version of the page section that shows up while in EDIT mode -- Properties Used > Background, Padding, Inner Width

## Checklist

This component should...

- Should render in the dom
- Should render an inner width according to the "width" property settings
- Should render background properly as provided by the property settings
- Should render padding according to the property settings if provided
- Should render a thicker border on the EditorObject component container
- Should render an "Move Section Up" and a "Move Section Down" option the Editor Object drop down menu
- Should reposition the section in the page content array appropriately when the "Move up" or "Move down" button is clicked (e.g should trigger updateComponentSettings)

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as EditorSection from '@sandcastle/components/EditorSection`

export default () => (
  <EditorSection

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
