# &lt;SectionEditorWidget /&gt; Component

## Description

A container for grouping internal objects together
Usually the 2nd most parent object on the page (the Body is often it's direct parent)
Used as a container for the myriad pre-built page sections that are provided

- As a user I would like a simple container that will group internal objects
- As a user I would like the ability to set the inner container width so I can have a container that stretches the full width of the page, while keeping its internal objects contained
- As a user I would like similar capabilities as a traditional container (background, padding, "shapes") ...main difference is that it's locked to the parent most object (the body)

## Checklist

This component should...

- Should show in the add new item drawer (Plugin hook is called)
- Should show in editor when page content has a section as its type (plugin hook is called)
- Should show up in the live page when thge page content has a section as its type (plugin hook is called)

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as SectionEditorWidget from '@sandcastle/components/SectionEditorWidget`

export default () => (
  <SectionEditorWidget

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
