import theme from "../../theme";

export const style = {
  SECTION: {
    backgroundColor: theme.backgroundColor,
  },
  SECTION_INNER: {
    margin: "0 auto",
    paddingTop: 100,
    paddingBottom: 100,
    paddingLeft: 0,
    paddingRight: 50,
  },
  HEADLINE: {
    textAlign: "left",
    fontSize: "22pt",
    fontFamily: theme.fontFamily,
    fontWeight: "bold" as "bold",
    padding: "10px 0",
    color: theme.foregroundColor,
  },
  TEXT: {
    textAlign: "left",
    fontFamily: theme.fontFamily,
    fontSize: "13pt",
    lineHeight: "18pt",
    padding: "20px 0",
    color: theme.foregroundColor,
  },
};
