import theme from "../../theme";

export const style = {
  SECTION: {
    backgroundColor: theme.backgroundColor,
  },
  SECTION_INNER: {
    margin: "0 auto",
    mobile: {
      desktop: {
        padding: 50,
      },
      smartphone: {
        padding: 30,
      },
    },
  },
  HEADLINE: {
    textAlign: "center",
    fontSize: "32pt",
    fontFamily: theme.fontFamily,
    fontWeight: "bold" as "bold",
    // paddingBottom: 10,
    color: theme.foregroundColor,
  },
  TEXT: {
    fontFamily: theme.fontFamily,
    fontSize: "13pt",
    lineHeight: "18pt",
    padding: "10px 0",
    color: theme.foregroundColor,
  },
  BUTTON: {
    style: {
      display: "inline-block",
      margin: "0 auto",
      border: "none",
      background: theme.foregroundColor,
      borderRadius: 5,
      cursor: "pointer",
      width: "100%",
    },
    caption1: {
      color: theme.backgroundColor,
      fontWeight: "bold" as "bold",
      fontSize: "10pt",
      padding: "5px 0",
    },
    iconStyle: {
      color: theme.backgroundColor,
      fontSize: "16pt",
      padding: "3px 3px 3px 0",
    },
  },
};
