import React from 'react'
import { Link } from "react-router-dom";

import Page from "@sc/modules/app/Page"
import theme from "@sc/components/ui/theme";
import { Button, Cell, Grid } from "@sc/components/ui";

export default (
  <Page path="/webinars">
    <Grid justify="center" align="center" style={{ marginTop: 80 }}>
        <Cell style={{ textAlign: "center" }} align="center">
          <h1 style={{ padding: 15, color: theme.darkColor }}>
            Evergreen Webinars
          </h1>
          <p style={{ fontSize: '13pt', color: "#666" }}>
            Welcome to the Evergreen Webinar Campaign Builder, let's start by 
            creating your first Campaign.
          </p>
          <br />
          <Link to="/catalog/funnels">
            <Button secondary large style={{ margin: 10 }}>
              Create Your First Webinar Campaign
            </Button>
          </Link>
        </Cell>
      </Grid>
  </Page>
)