## Spec for "Page Shortcut" Node​

Show's an "Existing Pages" subtab of nodes in the pages tab of the funnel builder with a collection of nodes that each represent an "alias" of a previously built page.

## Table of Contents​

- [Spec for "Page Shortcut" Node​](#spec-for-%22page-shortcut%22-node%e2%80%8b)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Test Plan](#test-plan)
- [Acceptance Tests​](#acceptance-tests%e2%80%8b)
- [Screens / States​](#screens--states%e2%80%8b)

## Workflow

(N/A)​

## User Stories

- As a user, I want quick access to the other pages I've built, regardless of the funnel they're in
- As a user, when brought into the funnel builder, I want the option NOT to replicate the page...just to "reference" the page

## Test Plan

| Scenario                                                      | Expected                                                                                         |
| ------------------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| When the user opens the [add new] > [pages] tab               | An [Existing Pages] Tab is shown                                                                 |
| When the user selects the [existing pages] tab                | A list of all the existing pages in my funnel are shown as well as a way to filter by campaign   |
| When the user drags an [existing page] node to the canvas     | The node appears on the canvas as well as a reminder message that it's just an alias, not a copy |
| User Double-clicks an [existing page] node                    | The page builder opens for that page                                                             |
| Visitor accesses page associated with an "Existing Page" Node | Visitor is redirected to destination of actual page                                              |

## Acceptance Tests​

(N/A)​

## Screens / States​

![](http://ambid-backups.s3.amazonaws.com/screenshots/existing-pages-node.png)
