// Nodes

import * as page_nodes from "./page_nodes/tab";
import * as tracking_nodes from "./tracking_nodes/tab";
import * as action_nodes from "./funnel_actions/tab";
import * as destination_tab from "./destination_nodes/tab";

// import * as smart_route from "./destination_nodes/smart_route";
import * as another_funnel from "./destination_nodes/another_funnel";
import * as redirect from "./destination_nodes/redirect";
import * as shopping_carts from "./destination_nodes/shopping_carts";
import * as page_shortcut from "./destination_nodes/page_shortcut";

// import * as absplit from "./funnel_actions/absplit";
// import * as segment from "./funnel_actions/segment";
// import * as webhook from "./funnel_actions/webhook";
// import * as zapier from "./funnel_actions/zapier";
// import * as email from "./funnel_actions/email";
// import * as sms from "./funnel_actions/sms";
// import * as desktop from "./funnel_actions/desktop";
// import * as messenger from "./funnel_actions/messenger";
// import * as timer from './funnel_actions/timer'
// import * as date from './funnel_actions/date'

const destination_nodes = [
  destination_tab,
  shopping_carts,
  // smart_route,
  redirect,
  another_funnel,
  page_shortcut,
];

const funnel_actions = [
  // action_nodes,
  // absplit,
  // segment,
  // webhook,
  // zapier,
  // email,
  // sms,
  // desktop,
  // messenger,
  // timer,
  // date,
];

export default [
  page_nodes,
  tracking_nodes,
  ...destination_nodes,
  ...funnel_actions,
];
