export default [
  {
    type: "PageComponent",
    id: "blank_page",
    name: "Blank Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_misc_blank.jpg`,
    pageType: "blank"
  },
  {
    type: "PageComponent",
    id: "content_page",
    name: "Content Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_content_article.jpg`,
    pageType: "content"
  },
  {
    type: "PageComponent",
    id: "home_page",
    name: "Home Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_misc_about.jpg`,
    pageType: "home"
  },
  {
    type: "PageComponent",
    id: "content_page",
    name: "Launch Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_content_product.jpg`,
    pageType: "launch"
  },
  {
    type: "PageComponent",
    id: "email_squeeze_page",
    name: "Lead Capture Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_squeeze_email.jpg`,
    pageType: "lead"
  },
  {
    type: "PageComponent",
    id: "legal_page",
    name: "Legal Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_misc_terms.jpg`,
    pageType: "legal"
  },
  {
    type: "PageComponent",
    id: "live_event_page",
    name: "Live Event Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_content_video.jpg`,
    pageType: "event"
  },
  {
    type: "PageComponent",
    id: "precart_checkout",
    name: "Pre-cart Checkout Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_sales_precart.jpg`,
    pageType: "checkout"
  },
  {
    type: "PageComponent",
    id: "order_page",
    name: "Order Form",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_sales_longform.jpg`,
    pageType: "order"
  },
  {
    type: "PageComponent",
    id: "sales_page",
    name: "Sales Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_sales.jpg`,
    pageType: "sales"
  },
  {
    type: "PageComponent",
    id: "sales_page",
    name: "Special Offer (Upsell)",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_sales_bonus.jpg`,
    pageType: "oto"
  },
  {
    type: "PageComponent",
    id: "thankyou_page",
    name: "Thank You Page",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_ty_simple.jpg`,
    pageType: "thank you"
  },
  {
    type: "PageComponent",
    id: "webinar_page",
    name: "Event (Webinar) Registration",
    screenshot: `https://s3.amazonaws.com/sandcastleassets/images/icons/pages/PT_squeeze_webinar.jpg`,
    pageType: "webinar"
  }
];
