import PropTypes from "prop-types";
import React, { Component } from "react";
import style from "./style";

const BODY = 2540;

class Cursor extends Component {
  render() {
    const { settings } = this.props;
    return (
      <div
        style={{
          ...style.dragDropCursorHorizontal,
          backgroundColor: this.props.color,
          // ...(settings.parent === BODY ? { margin: 50 } : {}),
        }}
      />
    );
  }
}

Cursor.propTypes = {
  color: PropTypes.string,
};

Cursor.defaultProps = {
  color: "#3f51b5",
};

export default Cursor;
