import 'semantic-ui-css/semantic.min.css'
import List from './List'

export const onListItem = (hook, payload, actions) => {
  if (hook.id === "webcomponent" && hook.type === "drawer") {
    return [{
      id: "list",
      name: "list",
      thumbnail: "comp_list.png",
      default: {
        type: "List",
        properties: {
          width: "100%"
        }
      }
    }]
  }
}

export const onComponentRender = (hook, settings, actions) => {
  if (hook.id === 'webcomponent' && settings.type === 'List') {
    if (hook.mode === 'live') return [List]
    else return [List]
  }
}