import _ from 'lodash'
import 'semantic-ui-css/semantic.min.css'

import Progress from './Progress'
// import LiveComponent from './component'

export const onListItem = (hook, payload, actions) => {
  if (hook.id === "webcomponent" && hook.type === "drawer") {
    return [{
      id: "progress",
      name: "progress",
      thumbnail: "comp_progress.png",
      default: {
        type: "Progress",
        properties: {
          width: "100%"
        }
      }
    }]
  }
}

export const onComponentRender = (hook, settings, actions) => {
  if (hook.id === 'webcomponent' && settings.type === 'Progress') {
    if (hook.mode === 'live') return [Progress]
    else return [Progress]
  }
}