## Spec for "Block/Section" Plugin...

A configurable Block/Section widget that can be added to any web page

## Table of Contents​

- [Spec for "Block/Section" Plugin...](#spec-for-%22blocksection%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Create an entire page quickly by selecting pre-built page sections pr page "blocks" and drag it over to a page I'm working on.
- Create a block from scratch

## Screens / States​

![](http://ambid-backups.s3.amazonaws.com/screenshots/sandcastle/components_blocks_properties.png)
![](http://ambid-backups.s3.amazonaws.com/screenshots/sandcastle/components_blocks_editor.png)

## Sections Used

- Background
- Inner Container Width
- Inner Container Padding
- Block Content Manager

## Test Plan

| √   | Scenario                                                            | Expected                                                                   |
| --- | ------------------------------------------------------------------- | -------------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [Block/Section Widget] appears                                           |
| √   | When a user drags the block/section widget to the canvas            | A simple Block/Section appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Block/Section properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | settings adjust accordingly (both editor & live mode)                      |
| √   | When a user configures the design (font, color, bg, border, shadow) | settings adjust accordingly (both editor & live mode)                      |
| √   | When a user publishes a page with the block/section                 | The destination page shows the block/section as specified on the live page |
| √   | When a user specifies an post action (redirect, popup, tag)         | settings adjust accordingly (both editor & live mode)                      |
| x   | When a user chooses a preset                                        | settings overwrite to the preset settings                                  |
