// It renders the component on the page
import * as React from "react";

import { render, screen } from "@testing-library/react";

import { Body } from "./live";
import settings from "./settings";

describe("Body (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-BODY-LIVE";
    const { debug } = render(<Body {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
