import * as React from "react";
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export interface IBodyProps {
  id?: string;
  mode?: EditorMode;
  properties?: React.CSSProperties;
  style?: React.CSSProperties;
  testId?: string;
  children: React.ReactNode;
}

export interface PluginProps extends EditorComponentProps {
  settings: IBodyProps;
  pageContent: any[];
}
