// It renders the component on the page
import * as React from "react";
import { render, screen } from "@testing-library/react";

import { Container } from "./live";
import settings from "./settings";

describe("Button (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-CONTAINER-LIVE";
    const { debug } = render(<Container {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
