import * as React from "react";
import Cursor from "./component";

import settings from "./settings";
import {
  sampleContentData,
  EditorWithCustomData,
} from "@sc/modules/page/Builder/Builder.stories";

export default {
  title: "Plugins|Web Components/Exists/Cursor",
  component: Cursor,
};

export const Default: React.FC = () => {
  return (
    <div style={{ backgroundColor: "#EEE", padding: 50 }}>
      <Cursor color="blue" />
    </div>
  );
};

export const InTheEditor: React.FC = () => {
  return (
    <EditorWithCustomData
      content={[
        ...sampleContentData,
        { id: "CustomField", parent: "u5j1r64m5rf", ...settings.default },
      ]}
    />
  );
};
