// It renders the component on the page
import * as React from "react";
import { render, screen } from "@testing-library/react";

import { FacebookComments } from "./live";
import settings from "./settings";

describe("FacebookComments (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-FACEBOOKCOMMENTS-LIVE";
    const { debug } = render(<FacebookComments {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
