## Spec for "Facebook Comments" Plugin...

A configurable Facebook Comments widget that can be added to any web page

## Table of Contents​

- [Spec for "Facebook Comments" Plugin...](#spec-for-%22facebook-comments%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Facebook Comments object on my page

## Screens / States​

![]()

## Sections Used

- App Id
- Position/Padding
- Alignment

## Test Plan

| √   | Scenario                                                            | Expected                                                                       |
| --- | ------------------------------------------------------------------- | ------------------------------------------------------------------------------ |
| √   | When a user opens the [add new] tab                                 | A [Facebook Comments Widget] appears                                           |
| √   | When a user drags the Facebook Comments widget to the canvas        | A simple Facebook Comments appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Facebook Comments properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | Timer settings adjust accordingly (both editor & live mode)                    |
| √   | When a user configures the design (font, color, bg, border, shadow) | Timer settings adjust accordingly (both editor & live mode)                    |
| √   | When a user publishes a page with the Facebook Comments             | The destination page shows the Facebook Comments as specified on the live page |
| √   | When a user specifies an post timer action (redirect, popup, tag)   | Timer settings adjust accordingly (both editor & live mode)                    |
| x   | When a user chooses a preset                                        | Timer settings overwrite to the preset settings                                |
