// It renders the component on the page
import * as React from "react";

import { render, screen } from "@testing-library/react";

import { FacebookLoginComponent } from "./live";
import settings from "./settings";

describe("FacebookLoginComponent (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-FACEBOOKLOGIN-LIVE";
    const { debug } = render(<FacebookLoginComponent {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
