import * as React from "react";
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export interface FacebookLoginProps {
  mode?: EditorMode;
  style?: React.CSSProperties;
  properties?: React.CSSProperties;
  appId?: string;
  autoLoad?: boolean;
  fields?: string;
  onClick?: () => any;
  callback?: any;
  buttonSettings?: any;
  actions?: any[];
}

export interface PluginProps extends EditorComponentProps {
  settings: FacebookLoginProps;
  dispatch?: (object: any) => any;
  updateComponentSettings?: () => any;
  getComponentSettings?: () => any;
}
