# &lt;FormField /&gt; Component

## Description

The version of the <LiveFormField /> component to show in the editor canvas • Shows the "live/preview" version of the form input, wrapped in an editor object

## Checklist

This component should...

- (Rendering) Should render in the dom
- (Rendering) Should show a "live/preview" version of the <LiveFormField /> component in the editor canvas, wrapped in an <EditorObject /> component
- (Actions) Should open the FormInputPropertyWindow when the property selector is clicked

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as FormField from '@sandcastle/components/FormFieldEditorObject`

export default () => (
  <FormField

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
