import { get } from "lodash";
export const generateFormComponentStyle = (properties) => {
  return {
    labelStyle: {
      fontSize: get(properties, "fontSize", "inherit"),
      fontFamily: get(properties, "fontFamily", "inherit"),
      color: get(properties, "color", "inherit"),
      textAlign: "left",
      padding: "2px 0",
    },
    descriptionStyle: {
      fontSize: get(properties, "fontSize", "inherit"),
      fontFamily: get(properties, "fontFamily", "inherit"),
      color: get(properties, "color", "inherit"),
      textAlign: "left",
      padding: "2px 0",
    },
    inputStyle: {
      fontSize: get(properties, "fontSize", "inherit"),
      fontFamily: get(properties, "fontFamily", "inherit"),
      padding: get(properties, "padding", "inherit"),
      color: get(properties, "color", "inherit"),
      textAlign: "left",
      width: "100%",
    },
    containerStyle: {
      // display: "inline-block",
      // textAlign: get(properties, "textAlign", "inherit"),
      width: "100%",
    },
    iconStyle: {
      fontSize: get(properties, "fontSize", "inherit"),
      color: get(properties, "color", "inherit"),
    },
  }
}