import * as React from "react";
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export interface GoogleLoginProps {
  mode?: EditorMode;
  style?: React.CSSProperties;
  properties?: React.CSSProperties;
  buttonSettings?: any;
  clientId?: string;
  buttonText?: string;
  onSuccess?: any;
  onFailure?: any;
  cookiePolicy?: string;
  render?: React.ReactNode | boolean | any;
  actions?: any[];
}

export interface PluginProps extends EditorComponentProps {
  settings: GoogleLoginProps;
  dispatch?: (object: any) => any;
  updateComponentSettings?: () => any;
  getComponentSettings?: () => any;
}
