import { SectionTypes } from "@sc/modules/v2/Properties/types";
import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";

const settings: IComponentSettings = {
  id: ComponentTypes.HEADLINE,
  name: "Headline",
  description: "",
  thumbnail: "comp_headline.png",
  default: {
    type: ComponentTypes.HEADLINE,
    html: "This is the version two Text Component",
    style: {
      display: "inline-block",
      padding: 5,
    },
  },
  properties: {
    main: {
      sections: [
        {
          type: SectionTypes.TYPOGRAPHY,
          settings: {},
        },
        {
          type: SectionTypes.POSITIONPADDING,
          settings: {},
        },
        {
          type: SectionTypes.ALIGNMENT,
          settings: {},
        },
        {
          type: SectionTypes.PRESETS,
          settings: {},
        },
      ],
    },
  },
};

export default settings;
