## Spec for "List Item" Plugin...

A configurable List Item widget that can be added to any web page

## Table of Contents​

- [Spec for "List Item" Plugin...](#spec-for-%22list-item%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a List Item object on my page

## Screens / States​

![]()

## Sections Used

- Icon
- Typography / Caption (or container)
- Position/Padding
- Actions
- Alignment
- Borders & Shadow

## Test Plan

| √   | Scenario                                                            | Expected                                                               |
| --- | ------------------------------------------------------------------- | ---------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [List Item Widget] appears                                           |
| √   | When a user drags the List Item widget to the canvas                | A simple List Item appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The List Item properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | settings adjust accordingly (both editor & live mode)                  |
| √   | When a user configures the design (font, color, bg, border, shadow) | settings adjust accordingly (both editor & live mode)                  |
| √   | When a user publishes a page with the List Item                     | The destination page shows the List Item as specified on the live page |
| √   | When a user specifies an post action (redirect, popup, tag)         | settings adjust accordingly (both editor & live mode)                  |
| x   | When a user chooses a preset                                        | settings overwrite to the preset settings                              |
