## Spec for "Popup Window" Plugin...

A configurable Popup Window widget that can be added to any web page

## Table of Contents​

- [Spec for "Popup Window" Plugin...](#spec-for-%22popup-window%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Sections Used](#sections-used)
- [Screens / States​](#screens--states%e2%80%8b)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- I want the ability to show content (e.g. collect lead information) via a popup window
- I would like access to exit intent technology to my page
- Put any kind of content inside
- Name the popup
- Trigger a popup via a universal "show a popup" action
- Multiple popup window templates

## Sections Used

- types of popups
- show/hide close btn
- show/hide background
- position/padding
- popup size
- borders/shadow

## Screens / States​

![](http://ambid-backups.s3.amazonaws.com/screenshots/sandcastle/popup_settings.png)

## Test Plan

| √   | Scenario                                                            | Expected                                                           |
| --- | ------------------------------------------------------------------- | ------------------------------------------------------------------ |
| √   | When a user clicks the [*] button on the widget                     | The Popup Window properties box appears                            |
| √   | When a user changes the layout (align, position)                    | Timer settings adjust accordingly (both editor & live mode)        |
| √   | When a user configures the design (font, color, bg, border, shadow) | Timer settings adjust accordingly (both editor & live mode)        |
| √   | When a user publishes a page with the popup                         | The destination page shows the popup as specified on the live page |
| √   | When a user specifies an post timer action (redirect, popup, tag)   | Timer settings adjust accordingly (both editor & live mode)        |
| x   | When a user chooses a preset                                        | Timer settings overwrite to the preset settings                    |
