// It renders the component on the page
import * as React from "react";

import { render, screen } from "@testing-library/react";

import { Progress } from "./live";
import settings from "./settings";

describe("Progress (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-PROGRESS-LIVE";
    const { debug } = render(<Progress {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
