import * as React from "react";

import {
  EditorWithCustomData,
  sampleContentData,
} from "@sc/modules/page/Builder/Builder.stories";

import { NewWebComponentEditorVersion } from "./component";
import NewWebComponent from "./live";
import settings from "./settings";

export default {
  title: "Plugins|Web Components/Simple/NewWebComponent",
  component: NewWebComponent,
  subcomponents: { NewWebComponentEditorVersion },
};

export const Default: React.FC = () => {
  return <NewWebComponent />;
};

export const InTheEditor: React.FC = () => {
  return (
    <EditorWithCustomData
      content={[
        { id: "CustomField", parent: "u5j1r64m5rf", ...settings.default },
        ...sampleContentData,
      ]}
    />
  );
};
