// It renders the component on the page
import * as React from "react";

import { render, screen } from "@testing-library/react";

import { NewWebComponent } from "./live";
import settings from "./settings";

describe("New Web Component (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-NEWWEBCOMPONENT-LIVE";
    const { debug } = render(<NewWebComponent {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
