import * as React from "react";

import {
  EditorWithCustomData,
  sampleContentData,
} from "@sc/modules/page/Builder/Builder.stories";

import { EditorSpacer } from "./component";
import Spacer from "./live";
import settings from "./settings";

export default {
  title: "Plugins|Web Components/Simple/Spacer",
  component: Spacer,
  subcomponents: { EditorSpacer },
};

export const Default: React.FC = () => {
  return (
    <div style={{ background: "green" }}>
      <Spacer style={{ height: 100 }} />
    </div>
  );
};

export const InTheEditor: React.FC = () => {
  return (
    <EditorWithCustomData
      content={[
        { id: "CustomField", parent: "u5j1r64m5rf", ...settings.default },
        ...sampleContentData,
      ]}
    />
  );
};
