// It renders the component on the page
import * as React from "react";

import { render, screen } from "@testing-library/react";

import { Spacer } from "./live";
import settings from "./settings";

describe("Spacer (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-SPACER-LIVE";
    const { debug } = render(<Spacer {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
