import * as React from "react";
import Step from "./component";
// import { Step } from "@sc/plugins/webcomponents/v2";
import { themeSettings } from "@sc/plugins/webcomponents/v2/theme";

import settings from "./settings";
import {
  sampleContentData,
  EditorWithCustomData,
} from "@sc/modules/page/Builder/Builder.stories";

export default {
  title: "Plugins|Web Components/Challenging/Stepper/Step",
  component: Step,
};

export const Default: React.FC = () => {
  return (
    <div style={{ width: 450 }}>
      <Step
        step={1}
        caption1="Shipping"
        caption2="Where Should We Ship it?"
        active
      />
    </div>
  );
};

export const InTheEditor: React.FC = () => {
  return (
    <EditorWithCustomData
      content={[
        { id: "CustomField", parent: "u5j1r64m5rf", ...settings.default },
        ...sampleContentData,
      ]}
    />
  );
};
