## Spec for "Table" Plugin...

A configurable Table widget that can be added to any web page

## Table of Contents​

- [Spec for "Table" Plugin...](#spec-for-%22table%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Table object on my page

## Screens / States​

![]()

## Sections Used

- Data Table Content Editor
- Presets
- Position/Padding
- Typography
- Actions
- Alignment
- Borders & Shadow

## Test Plan

| √   | Scenario                                                            | Expected                                                           |
| --- | ------------------------------------------------------------------- | ------------------------------------------------------------------ |
| √   | When a user opens the [add new] tab                                 | A [table Widget] appears                                           |
| √   | When a user drags the table widget to the canvas                    | A simple Table appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Table properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | Table settings adjust accordingly (both editor & live mode)        |
| √   | When a user configures the design (font, color, bg, border, shadow) | Table settings adjust accordingly (both editor & live mode)        |
| √   | When a user publishes a page with the table                         | The destination page shows the table as specified on the live page |
| √   | When a user specifies an post Table action (redirect, popup, tag)   | Table settings adjust accordingly (both editor & live mode)        |
| x   | When a user chooses a preset                                        | Table settings overwrite to the preset settings                    |
