// It renders the component on the page
import * as React from "react";
import { render, screen } from "@testing-library/react";

import { Testing } from "./live";

describe("Test (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "LIVETESTING";
    const { debug } = render(<Testing testId={testId} />);

    debug();

    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
