// It renders the component on the page
import * as React from "react";

import { render, screen } from "@testing-library/react";

import { Text } from "./live";
import settings from "./settings";

describe("Text (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-TEXT-LIVE";
    const { debug } = render(<Text {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
