## Spec for "Text Plugin"...

A configurable Text widget that can be added to any web page

## Table of Contents​

- [Spec for "Text Plugin"...](#spec-for-%22text-plugin%22)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Text object on my page

## Screens / States​

![]()

## Sections Used

- Typography
- Position/Padding
- Alignment
- Actions

## Test Plan

| √   | Scenario                                                            | Expected                                                          |
| --- | ------------------------------------------------------------------- | ----------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [Text Widget] appears                                           |
| √   | When a user drags the Text widget to the canvas                     | A simple Text appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Text properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | settings adjust accordingly (both editor & live mode)             |
| √   | When a user configures the design (font, color, bg, border, shadow) | settings adjust accordingly (both editor & live mode)             |
| √   | When a user publishes a page with the Text                          | The destination page shows the Text as specified on the live page |
| √   | When a user specifies an post action (redirect, popup, tag)         | settings adjust accordingly (both editor & live mode)             |
| x   | When a user chooses a preset                                        | settings overwrite to the preset settings                         |
