## Spec for "Video" Plugin...

A configurable Video widget that can be added to any web page

## Table of Contents​

- [Spec for "Video" Plugin...](#spec-for-%22video%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
  - [Basic](#basic)
  - [Advanced](#advanced)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Video object on my page
- As a user I want to display a video on my page
- From various sources (upload, media library, embed, url link ~ youtube, vimeo, wistia, etc.)
- As a user, I want to apply an action (tag, hide, pause, play, etc.) based on the video's behavior (play, pause, load, reaches time, etc.)

## Screens / States​

![](http://ambid-backups.s3.amazonaws.com/screenshots/video-widget.png)

## Sections Used

### Basic

    Upload/Paste Url
    Video Size
    Position/Padding
    Alignment
    Actions

### Advanced

    Borders/shadow

## Test Plan

| √   | Scenario                                                            | Expected                                                           |
| --- | ------------------------------------------------------------------- | ------------------------------------------------------------------ |
| √   | When a user opens the [add new] tab                                 | A [Video Widget] appears                                           |
| √   | When a user drags the video widget to the canvas                    | A simple Video appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Video properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | settings adjust accordingly (both editor & live mode)              |
| √   | When a user configures the design (font, color, bg, border, shadow) | settings adjust accordingly (both editor & live mode)              |
| √   | When a user publishes a page with the video                         | The destination page shows the video as specified on the live page |
| √   | When a user specifies an post action (redirect, popup, tag)         | settings adjust accordingly (both editor & live mode)              |
