import { IconTypes } from "../Icon";
import { EditorMode } from "@sc/modules/v2/Editor/types";

export enum FormFieldTypes {
  TEXT = "Text",
  PASSWORD = "Password",
  CHECKBOX = "Checkbox",
  RADIO = "Radio",
  TEXTAREA = "Textarea",
  SELECT = "Select",
  DATE = "Date",
}
export interface FormFieldProps {
  mode?: EditorMode;
  children?: React.ReactNode;
  type?: FormFieldTypes | string;
  name?: string;
  label?: string;
  placeholder?: string;
  style?: any;
  inputStyle?: any;
  labelStyle?: any;
  defaultValue?: string;
  icon?: IconTypes | string;
  iconStyle?: any;
  options?: any[];
  xs?: number;
}
