## Spec for "Order Summary Order Summary" Plugin...

A configurable Order Summary Order Summary widget that can be added to any web page

## Table of Contents​

- [Spec for "Order Summary Order Summary" Plugin...](#spec-for-%22order-summary-order-summary%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Order Summary Order Summary object on my page

## Screens / States​

![]()

## Sections Used

- Order Summary Data ~ data grid component
- Position/Padding
- Typography
- Actions
- Alignment
- Borders & Shadow

## Test Plan

| √   | Scenario                                                            | Expected                                                                   |
| --- | ------------------------------------------------------------------- | -------------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [Order Summary Widget] appears                                           |
| √   | When a user drags the Order Summary widget to the canvas            | A simple Order Summary Order Summary appears                               |
| √   | When a user clicks the [*] button on the widget                     | The Order Summary Order Summary properties box appears                     |
| √   | When a user changes the layout (align, position)                    | Order Summary settings adjust accordingly (both editor & live mode)        |
| √   | When a user configures the design (font, color, bg, border, shadow) | Order Summary settings adjust accordingly (both editor & live mode)        |
| √   | When a user publishes a page with the Order Summary                 | The destination page shows the Order Summary as specified on the live page |
| x   | When a user chooses a preset                                        | Order Summary settings overwrite to the preset settings                    |
