import * as React from "react";
import { EditorMode } from "@sc/modules/v2/Editor/types";

interface CopyrightProps {
  mode?: EditorMode;
  style?: any;
}

export const Copyright: React.FC<CopyrightProps> = ({ style }) => {
  const dt = new Date();
  return (
    <div
      style={{
        // fontFamily: "Roboto",
        // color: get(style, "color", "#9b9b9b"),
        ...style,
      }}
    >
      &copy; {dt.getFullYear()} All Rights Reserved
    </div>
  );
};
