import * as React from "react";
import { Link } from "react-router-dom";

import { Image } from "../";

export const Logo = ({ logo, logoStyle, logoHref }) => {
  return (
    <Link to={logoHref}>
      <Image
        src={logo}
        style={{ maxWidth: "100%", marginTop: 8, ...logoStyle }}
      />
    </Link>
  );
};
