import { EditorMode } from "@sc/modules/v2/Editor/types";

export enum NavigationLayouts {
  STANDARD,
  FOOTER_STANDARD,
  ONE,
  TWO,
  THREE,
  FOUR,
  FIVE,
  SIX,
  SEVEN,
  EIGHT,
  NINE,
  TEN,
}

export enum ItemTypes {
  TEXT,
  BUTTON,
  LISTITEM,
  HAMBURGER,
}

export interface ComponentProps {
  mode?: EditorMode;
  children?: React.ReactNode;
  layout?: NavigationLayouts;
  logo?: string;
  logoHref?: string;
  logoStyle?: any;
  items?: any[];
  style?: any;
  linkStyle?: any;
  showSocial?: boolean;
  hamburgerIconStyle?: any;
  copyrightStyle?: any;
}
