import * as React from "react";
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export interface NewWebComponentProps {
  mode?: EditorMode;
  style?: React.CSSProperties;
  properties?: React.CSSProperties;
  value?: number;
  myCustomProperty?: React.CSSProperties;
  testId?: string;
}

export interface PluginProps extends EditorComponentProps {
  settings: NewWebComponentProps;
}
