import React from "react";
import { getStorybookUI, configure } from "@storybook/react-native";
import { SafeAreaView, Text } from "react-native";

configure(() => {
  require("./storybook/stories");
}, module);

const StorybookUIRoot = getStorybookUI({
  asyncStorage: null,
  onDeviceUI: false,
});

export default () => (
  <SafeAreaView style={{ height: "100%" }}>
    <StorybookUIRoot />
  </SafeAreaView>
);
