import { IThemeObject } from "./types";

const defaultTheme: IThemeObject = {
  backgroundColor: "transparent",
  header: {
    backgroundColor: "transparent",
    menuSize: "15px",
    title: {
      fontFamily: "Helvetica",
      fontSize: "21px",
      fontWeight: 300,
    },
  },
  board: {
    column: {
      header: {
        backgroundColor: "transparent",
        menuSize: "12px",
        title: {
          fontFamily: "Helvetica",
          fontSize: "18px",
          fontWeight: 300,
        },
      },
    },
    card: {
      header: {
        backgroundColor: "transparent",
        menuSize: "10px",
        title: {
          fontFamily: "Helvetica",
          fontSize: "15px",
          fontWeight: 300,
        },
      },
    },
  },
};

export default defaultTheme;
