## TO DO

### Right now...

1. change function ComponentName pattern to const ComponentName
2. JSX.Element to React.ReactNode / :bool to :Boolean / :array to :any[] / :int to :number / :float to :number / :object to :any
3. update \*.stories.tsx code pattern to latest
4. update test generator to use test.todo vs it/should
5. remove `` from descriptions...they screw up tests
6. change \*.test.ts to \*.test.tsx
7. add \n to descriptions

### update api method creation

```
  removetoken?(token: string): Boolean;
```

instead of

```
removetoken(token): Boolean?: () => any
```

### generate methods in api classes, not just interfaces

### change enum items return type to :any (not :string)

### remove children from attribute block

### add a return type for attribute methods

onClick={() => true}

### Don't nest stories if package = true

if the component object has a true value for the package field, it should be a root story (not nested inside a folder)

### Switch "modules" to "components" and "components" to "modules" when nesting stories

### Change filename of component tests to .tsx instead of .ts

### Change sample code in readme to show children properly (instead of as a component prop)

```
export default () => (
  <ExpiredContainer>
    <div/>
  </ExpiredContainer>
)
```

instead of

```
export default () => (
  <ExpiredContainer
    children={<div />}
  />
)
```

### Seperate components into component, containers, layouts, and pages folders

### include a defaultRoutes.tsx file
