// import * as shell from "shelljs";
import * as fs from "fs-extra";

import { getRelativePath } from "../../lib/files";

const chalk = require("chalk");

export const endProgram = (outputPath: any) => {
  console.log(
    chalk.green(`
  
Your files have been generated!

Type "cd ${outputPath}" to access them.

  `)
  );

  fs.ensureDir(getRelativePath(outputPath)).then(() => {
    fs.ensureFile(getRelativePath(`${outputPath}/README.md`), (err) => {
      if (!err) {
        // shell.exec(`open "${outputPath}/README.md"`);
      }
      // shell.exec(`open "${outputPath}"`);
    });
  });
};
