import React from "react";
export const HiddenFields: React.FC<{
  nextPage: any;
  emailPayload: any;
  merchantPayload: any;
}> = ({ nextPage, emailPayload, merchantPayload }) => {
  return (
    <>
      {emailPayload && (
        <input type="hidden" name="emP" value={unescape(emailPayload)} />
      )}
      {merchantPayload && (
        <input type="hidden" name="pmP" value={unescape(merchantPayload)} />
      )}
      {nextPage && <input type="hidden" name="nxP" value={nextPage} />}
    </>
  );
};

export default HiddenFields