import ApolloClient from 'apollo-boost';
import dotenv from "dotenv"
const { createApolloFetch } = require('apollo-fetch')

dotenv.config();

const uri = `http://${process.env.SERVER_ENDPOINT}:4000`; // production

export const prismaClient = new ApolloClient({
  uri,
});

export const client = createApolloFetch({ uri })