import gql from "graphql-tag";

export const sendEmail = gql`
  mutation sendEmail(
    $to: String!
    $from: String!
    $subject: String!
    $text: String!
    $html: String
  ) {
    sendEmail(
      to: $to
      from: $from
      subject: $subject
      text: $text
      html: $html
    ) {
      statusCode
      message
    }
  }
`;
