import { InMemoryCache } from "apollo-cache-inmemory";
import { ApolloClient } from "apollo-client";
import { createUploadLink } from "apollo-upload-client";
import "isomorphic-fetch";

// const uri = "http://localhost:4000"; // should be the url of the graphql server
// const uri = "http://api-staging.funnels.cc:4000"; // staging
const uri = "http://api.funnels.cc:4000"; // production

export const client = new ApolloClient({
  link: createUploadLink({ uri }),
  cache: new InMemoryCache()
});
