import React from "react";

const CardCaption = props => <div role="cell" {...props} />;

/**
 * A card is a sheet of material that serves as an entry point to more detailed information
 * @param {object} props The props
 * @returns {function} The component
 */
const Card = props => (
  <div role="group" {...props} style={{ ...props.style }} />
);

Card.defaultProps = {
  style: {}
};

export default Card;
export { CardCaption };
