import theme from "../theme";

const style = {
  overlay: {
    position: "fixed",
    background: theme.darkColor,
    opacity: "0.8",
    height: "100%",
    width: "100%",
    zIndex: 100
  },
  drawer: {
    top: 0,
    width: 301,
    position: "fixed",
    height: "100vh",
    background: "white",
    zIndex: 101,
    textTransform: "none",
    // borderRight: "1px solid #CCC",
    // borderLeft: "1px solid #CCC"
    boxShadow: `0 0 5px 1px rgb(0,0,0,0.25)`,
  },
  inlineStyle: { border: "1px solid #CCC", height: "auto" },
  closeBtn: { float: "right", color: theme.darkColor }
};

export default style;
