const style = {
  generateCellStyle(props) {
    return {
      order: props.order,
      flexGrow: props.grow,
      flexBasis: props.basis,
      alignSelf: (props.align === 'start' || props.align === 'end') ? `flex-${props.align}` : props.align,
    };
  },
  generateGridStyle(props) {
    return {
      display: 'flex',
      flexWrap: props.wrap ? 'wrap' : 'nowrap',
      justifyContent: (props.justify === 'start' || props.justify === 'end') ? `flex-${props.justify}` : props.justify,
      alignContent: (props.align === 'start' || props.align === 'end') ? `flex-${props.align}` : props.align,
    };
  },
};

export default style;
