import React from "react";
import style from "./style";

const TableHeader = props => props.children;
const TableRow = props => props.children;
const TableColumn = props => props.children;
const TableBody = props => props.children;

/**
 * Tables are used to display raw data sets
 * @param {object} props The props
 * @returns {function} The component
 */
const Table = props => (
  <div role="group" {...props} {...style}>
    Table
  </div>
);

Table.defaultProps = {};

export default Table;
export { TableHeader, TableRow, TableColumn, TableBody };
