import theme from "../theme";

const style = {
  tabs: {
    width: "100%",
    backgroundColor: theme.darkColor,
    color: "white"
  },
  tab: {
    padding: "10px 30px",
    textTransform: "uppercase",
    fontSize: 13,
    cursor: "pointer",
    textAlign: "center",
    ":hover": {
      color: "green",
      fontWeight: "bold"
    }
  },
  tabActive: {
    fontWeight: "bold",
    borderBottom: `2px solid ${theme.secondaryColor}`
  },
  tabActiveVertical: {
    fontWeight: "bold",
    // borderLeft: `2px solid ${theme.secondaryColor}`,
    // marginLeft: -2,
    // padding: "15px 10px",
    // width: 80,
    // overflow: "hidden",
    backgroundColor: "#DDD"
  },
  generateBackgroundColors(props) {
    if (props.transparent) {
      return {
        backgroundColor: "transparent",
        overflow: "hidden",
        color: theme.darkColor
      };
    }
    return { tabs: null, tab: null };
  }
};

export default style;
