import _ from "lodash";
import React from "react";
import style from "./style";

/**
 * You can use the Thumbnail component to display images (especially screenshots)
 * @param {object} props The props
 * @returns {function} The component
 */
const Thumbnail = props => (
  <img alt="" src={_.get(props, "src")} style={{ ...style, ...props.style }} />
);

Thumbnail.defaultProps = {};

export default Thumbnail;
