import { get } from 'lodash'
import settings from '@sc/10mf/src/config'

export const colors = {
  primaryColor: '#0082d2',
  secondaryColor: '#f14b59',
  disabledColor: '#5b5b5b',
  tertiaryColor: '#169e7d',
  // darkColor: '#1c2b3a',
  darkColor: '#222',
  lightColor: '#ddd',
  altColor: ['#f26e81', '#ff5a4e', '#bfcd6b', '#80638e', '#77c7e5', '#ffaa9c', '#f8d46d', '#666666', '#6be1c3', '#f87759', '#9d79b4'],
  // altColor: ['#F0F0F0', '#F0F0F0', '#F0F0F0', '#F0F0F0', '#F0F0F0', '#F0F0F0', '#F0F0F0', '#F0F0F0', '#F0F0F0', '#F0F0F0', '#F0F0F0', '#F0F0F0'],  
  ...get(settings, 'app.colors', {}),
}

const theme = colors;

export const fieldset = {
  border: '1px solid #ccc',
  // border: 'none',
  marginBottom: 20,
  padding: '10px 15px',
}

// console.log({ colors, settings })

export default theme;
