import React from "react";
import ReactDOM from "react-dom";
import ScrollComponent from "./ScrollComponent";

/**
 * This Shows the basic Usage How tou can import and use this component in your code
 */
ReactDOM.render(
  <React.StrictMode>
    <div
      style={{
        display: "flex",
        justifyContent: "center",
        margin: "30vh",
        marginLeft: "20vw",
      }}
    >
      <div style={{ margin: "10px" }}>
        <ScrollComponent
          url={require("./test.png")}
          color="lightblue"
          type="SQUARE"
          animate={true}
        />
      </div>
      <div style={{ margin: "10px" }}>
        <ScrollComponent
          url={require("./test2.png")}
          color="green"
          type="SQUARE"
          animate={true}
        />
      </div>
      <div style={{ margin: "10px" }}>
        <ScrollComponent
          url={require("./test3.png")}
          color="black"
          type="LONGSLANT"
          animate={true}
        />
      </div>
    </div>
  </React.StrictMode>,
  document.getElementById("root")
);
