import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import FlexTab from "./FlexTab";

export default {
  title: "Components|FlexTab",
  component: FlexTab,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <FlexTab>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </FlexTab>
);

Default.story = {
  parameters: {
    jest: ["FlexTab"],
  },
};
