# &lt;Toolbar /&gt; Component

## Description

A flexible way to show and customize a toolbar

## Checklist

This component should...

- (Rendering) Should render the component in the dom
- (Rendering) Should show the same number of items in the left side of the toolbar as the number of items in the leftItems prop
- (Rendering) Should show the same number of items in the right side of the toolbar as the number of items in the rightItems prop
- (Rendering) Should show a title if one is provided
- (Rendering) Should show a child element if one is provided
- (Hooks) Should trigger the onComponentRender("Toolbar") plugin hook when the Toolbar is rendering
- (Hooks) Should trigger the onListItems("ToolbarLeftItems") plugin hook when the list of Toolbar Left Items are being generated
- (Hooks) Should trigger the onListItems("ToolbarRightItems") plugin hook when the list of Toolbar Right Items are being generated

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as Toolbar from '@sandcastle/components/Toolbar`

export default () => (
  <Toolbar

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
