import PropTypes from "prop-types";
import React, { Component } from "react";
import style from "./style";

class CursorComponent extends Component {
  render() {
    return (
      <div
        style={{
          ...style.dragDropCursorHorizontal,
          backgroundColor: this.props.color
        }}
      />
    );
  }
}

CursorComponent.propTypes = {
  color: PropTypes.string
};

CursorComponent.defaultProps = {
  color: "#3f51b5"
};

export const Cursor = {
  component: CursorComponent
};

// export default Cursor;
