/* ** INDIVIDUAL EDITOR COMPONENTS ** */
import Body from "./Body/component";
import Button from "./Button/component";
import { Column, Columns } from "./Columns/component";
import Container from "./Container/component";
import FormField from "./FormField/component";
import Headline from "./Headline/component";
import Picture from "./Picture/component";
import Popup from "./Popup/component";
import Text from "./Text/component";
import Video from "./Video/component";
import Social from "./Social/component";

// alternative names
export const Paragraph = Text;
export const TextInput = FormField;

export {
  Body,
  Button,
  Text,
  Container,
  Picture,
  Column,
  Columns,
  FormField,
  Headline,
  Popup,
  Video,
  Social
}; // will need to be dynamically loaded somehow
