const path = require("path");
require("dotenv").config({
  path: path.resolve(process.cwd(), "../.env")
});

const { S3_SITES_BUCKET } = process.env;

module.exports = {
  available_sites_folder: `/etc/nginx/sites-available/`,
  enabled_sites_folder: `/etc/nginx/sites-enabled/`,
  server_reset_command: `sudo systemctl restart nginx`,
  proxy_root: `http://${S3_SITES_BUCKET}.s3-website-us-east-1.amazonaws.com`
};
