exports.handler = async (event, context, callback) => {
  const querystring = require("querystring");
  const request = require("request");

  const { body } = event;
  const postinfoascii = Buffer.from(body, 'base64').toString('ascii');
  const postinfo = querystring.parse(postinfoascii)
  const email = postinfo["payload[subscription][customer][email]"];
  const firstName = postinfo["payload[subscription][customer][first_name]"];
  const lastName = postinfo["payload[subscription][customer][last_name]"];


  const headers = {
    "cache-control": "no-cache",
    "content-type": "application/json"
  };

  const url = "https://api.funnels.cc:8091/v1/users/createUser";
  const toSend = {
    email, firstName, lastName,
    appName: '10mf', permissions: ['10mf'],
    emailUser: true,
  };

  console.log(toSend)

  request(
    {
      method: "post", url, headers, body: toSend, json: true
    },
    (error, response, body) => {
      return (JSON.stringify(body))
    }
  );

  console.log({ toSend })
};