const { template } = require("lodash");

const sanitize = (str, body) => {
  let toReturn = str;

  // get next page
  const nextPage = body.nextPage;
  toReturn = toReturn.replace(/{submit_form}/g, `/${nextPage}`);
  toReturn = toReturn.replace(/{next_page}/g, `/${nextPage}`);

  // lodash template using body arguments
  const compiled = template(toReturn);
  try {
    toReturn = compiled(body);
  } catch (e) {}

  return toReturn;
};

module.exports = sanitize;
