import React from 'react';
import { CirclePicker, SliderPicker } from 'react-color';

import { Spacer, Close } from '../AllButtons';

const inputStyle = { backgroundColor: 'transparent', border: 'none', outline: 'none', margin: 10, color: '#FFF' };

const ButtonColorGroup = props => (
  <div>
    <div style={{ backgroundColor: '#555', borderRadius: 4 }}>
      <input value="#FF0000" style={{ ...inputStyle, backgroundColor: '#333', padding: 5 }} />
      <Spacer style={{ visibility: 'hidden' }} />
      <Close style={{ float: 'right' }} />
    </div>
    <div style={{ padding: 20 }}>
      <CirclePicker color="red" />
      <br />
      <SliderPicker color="red" />
    </div>
  </div>
);

export default ButtonColorGroup;
