import theme from "@sc/components/ui/theme";
export default {
  templateItem: {
    width: 370,
    height: 260,
    margin: "30px 30px 10px",
    overflowY: "hidden",
    cursor: "pointer",
    ":hover": {
      boxShadow: "0px 0px 15px 0px rgba(0,0,0,0.50)"
    }
  },
  templateItemHover: {
    container: {
      width: 370,
      height: 260,
      position: "absolute"
    },
    bg: {
      backgroundColor: theme.darkColor,
      opacity: 0.8,
      zIndex: 1
    },
    content: {
      zIndex: 2
    }
  }
};
