import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Auth from ".";

export default {
  title: "Modules|Auth",
  component: Auth,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Auth>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Auth>
);

Default.story = {
  parameters: {
    jest: ["Auth"],
  },
};
