import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Description from "./Description";

export default {
  title: "Modules|CRUD/AttributeBuilder/Attributes/Description",
  component: Description,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Description>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Description>
);

Default.story = {
  parameters: {
    jest: ["Description"],
  },
};
