import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import FormItemName from "./FormItemName";

export default {
  title: "Modules|CRUD/AttributeBuilder/Attributes/FormItemName",
  component: FormItemName,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <FormItemName>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </FormItemName>
);

Default.story = {
  parameters: {
    jest: ["FormItemName"],
  },
};
