import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Label from "./Label";

export default {
  title: "Modules|CRUD/AttributeBuilder/Attributes/Label",
  component: Label,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Label>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Label>
);

Default.story = {
  parameters: {
    jest: ["Label"],
  },
};
