export interface PresetSelectorProps {
  /**
   * the current preset value
   */
  value?: string;

  /**
   * The label/placeholder to use for the dropdown field
   */
  label?: string;

  /**
   * The list of presets
   */
  data?: any[];

  /**
   * Triggers when the preset content field changes
   */
  onChange?: (value: string) => void;

  /**
   * Triggers when the column count field loses focus
   */
  onBlur?: (value: string) => void;
}
