# &lt;AttributeContainer /&gt; Component

## Description

A component to use for displaying a consistent look and field for the collection of form fields • Pass in an array of attributes, and it will figure out where and how to display them • It will collect and pass back the values as they are gathered

## Checklist

This component should...

- (Rendering) Should render in the dom
- (Rendering) Should render each attribute provided based on the list in the dom
- (Rendering) Should render the same number of attributes as is provided in the data prop
- (Rendering) Should only render items where hide = false
- (Actions) Should show a show/hide option in the dropdown that toggles whether or not to show items where hide = true
- (Actions) Should trigger onChange when the placeholder content updates
- (Actions) Should combine and forward all responses from onEvent events of form field attribute components

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as AttributeContainer from '@sandcastle/components/AttributeContainer`

export default () => (
  <AttributeContainer

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
