import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Required from "./Required";

export default {
  title: "Modules|CRUD/AttributeBuilder/Attributes/Required",
  component: Required,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Required>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Required>
);

Default.story = {
  parameters: {
    jest: ["Required"],
  },
};
