import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

import ValidationCriteria from "./ValidationCriteria";

const testId = "FormBuilder-Attributes-ValidationCriteria";
const props = {};

describe("<ValidationCriteria /> Rendering Tests", () => {
  it(`Should render in the dom`, () => {
    render(<ValidationCriteria {...props} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });

  test.skip(`Should render a different criteria based on the type of form field the attribute is for`, () => {});

  test.skip(`Should render criteria asking for specific file types and max file size if the fieldType is FileUpload`, () => {});
});

describe("<ValidationCriteria /> Events Tests", () => {
  test.skip(`Should trigger onChange() when the column validation criteria changes`, () => {});
});

describe("<ValidationCriteria /> Actions Tests", () => {
  test.skip(`Should pass along the updated version of the criteria to the onChange object`, () => {});

  test.skip(`Should convert a validation data object into a Yup ready validation schema`, () => {});
});
