import React from 'react'
import { BulkActionsMenu } from '../'
import { BulkActionsMenuPropsType } from "../types";

export default {
  title: 'Modules|Crud/DisplayItems/BulkActionsMenu',
  component: BulkActionsMenu,
  excludeStories: /.*Data$/
}

export const bulkActionsSampleData = [
  { action: '', label: 'Testing 1' },
  { action: '', label: 'Testing 2' },
  { action: '', label: 'Testing 3' },
]

export const DefaultComponent = () => <BulkActionsMenu data={bulkActionsSampleData} />
export const RenderAsIcon = () => <BulkActionsMenu type={BulkActionsMenuPropsType.ICON} icon="arrow_drop_down" data={bulkActionsSampleData} />
export const RenderAsButton = () => <BulkActionsMenu type={BulkActionsMenuPropsType.BUTTON} label="Actions Dropdown" icon="arrow_drop_down" data={bulkActionsSampleData} />
