# &lt;BulkActionsMenu /&gt; Component

## Description

A list of actions to be applied to the selected items in the data display.

## Checklist

This component should...

- Should render component in dom
- Should show an icon when type prop calls for it
- Should show a button when type prop calls for it.
- Button label should be what the label prop calls for
- Should show a dropdown menu of items from the data prop when button/icon is clicked
- Should trigger the onSelect event when a bulk action menu item is selected

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as BulkActionsMenu from '@sandcastle/components/BulkActionsMenu`

export default () => (
  <BulkActionsMenu
    type={0}
    icon=""
    label=""
    data=""
    onSelect=""
  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
