# &lt;BulkSelectedActions /&gt; Component

## Description

Shows when there are one or more items selected. Provides a quick way to perform bulk actions on the selected list

## Checklist

This component should...

- Should render component in dom
- Should display child components in dom
- Should pass child component its props
- Should show a dropdown menu of items from data prop when bulk action button is clicked
- Should show the component in the location specified by the location prop (e.g. TOP/BOTTOM/LEFT/RIGHT)
- Should show a list of buttons as specified by the actionsButtons prop intended to perform the most common actions for the selected records.
- Should not show any action buttons if the showActionButtons prop is set to false

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as BulkSelectedActions from '@sandcastle/components/BulkSelectedActions`

export default () => (
  <BulkSelectedActions
    children={<div />}
    data=""
    location={0}
    actionButtons=""
    showActionButtons=""
    style=""
  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
