import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import DateField from "./DateField";
import { EditorMode } from "../../../../Editor/types";

export default {
  title: "Modules|CRUD/FormBuilder/Form Fields/DateField",
  component: DateField,
  excludeStories: /.*Data$/,
};

export const Live: any = () => <DateField mode={EditorMode.LIVE} />;

export const Edit: any = () => <DateField mode={EditorMode.EDITOR} />;

Live.story = {
  parameters: {
    jest: ["DateField"],
  },
};
