import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import LinearScaleField from "./LinearScaleField";
import { EditorMode } from "../../../../Editor/types";

export default {
  title: "Modules|CRUD/FormBuilder/Form Fields/LinearScaleField",
  component: LinearScaleField,
  excludeStories: /.*Data$/,
};

export const Live: any = () => <LinearScaleField mode={EditorMode.LIVE} />;

export const Edit: any = () => <LinearScaleField mode={EditorMode.EDITOR} />;

Live.story = {
  parameters: {
    jest: ["LinearScaleField"],
  },
};
