describe("<ComponentSelector /> Tests (Render)", () => {
  test.todo("Should render the component in the dom");

  test.todo(
    "Should render a list of components extracted from the content of the page"
  );

  test.todo(
    "Should filter out any items from the list of editor items based on the filterOut prop that matches the [key, value] pattern (e.g. ['type', 'Body'])"
  );

  test.todo(
    "Should only show a list of editor items that match what's in the filterOnly prop where the filter matches the [key, value] pattern (e.g. ['canHaveChildren', true)"
  );

  test.todo(
    "Should show a placeholder in the dropdown menu that matches the provided label prop"
  );

  test.todo("Should render an icon next to each item in the list");
});
describe("<ComponentSelector /> Tests (Actions)", () => {
  test.todo(
    "Should highlight the actual page object when mouse hovers over the item"
  );
});
describe("<ComponentSelector /> Tests (Hooks)", () => {
  test.todo("Should trigger the onChange() event when an item is clicked");

  test.skip("Should trigger the `onComponentSelectorMenuList` plugin hook when the list to show is being generated", () => {});

  test.skip("Should trigger the `onComponentSelected` plugin hook when an item is selected", () => {});

  test.skip("Should trigger the `onComponentSelectorRender` the ComponentSelector is rendering", () => {});
});
