import * as React from "react";
import { action } from "@storybook/addon-actions";
// import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ComponentWrapper from "./ComponentWrapper";

export default {
  title: "Modules|Editor/ComponentWrapper",
  component: ComponentWrapper,
};

export const Default = () => (
  <ComponentWrapper isShowingProperties="" children="">
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </ComponentWrapper>
);

Default.story = {
  parameters: {
    jest: ["ComponentWrapper"],
  },
};
