import * as React from "react";
import { action } from "@storybook/addon-actions";
// import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import InlineControlButton from "./InlineControlButton";

export default {
  title: "Modules|Editor/InlineControlButton",
  component: InlineControlButton,
};

export const Default = () => (
  <InlineControlButton>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </InlineControlButton>
);

Default.story = {
  parameters: {
    jest: ["InlineControlButton"],
  },
};
