describe("<InlineControlButton /> Tests", () => {
  test.todo("Should trigger the onToggle event when the button is clicked");

  test.todo(
    "Should trigger a DraftJs contenteditable action that matches the `action` prop when the button is clicked"
  );

  test.todo(
    "Should trigger the `onInlineControlButtonRender` plugin hook when the InlineControlButton is being rendered"
  );

  test.todo(
    "Should trigger the `onInlineControlButtonToggle` plugin hook when the inline control button is clicked"
  );

  test.todo(
    "Should render a `Settings` button in the dom when the type prop is `settings`"
  );

  test.todo(
    "Should render a `Duplicate` button in the dom when the type prop is `duplicate`"
  );

  test.todo(
    "Should render a `Delete` button in the dom when the type prop is `delete`"
  );

  test.todo(
    "Should render a `Close` button in the dom when the type prop is `close`"
  );

  test.todo(
    "Should render a `Color` button in the dom when the type prop is `color`"
  );

  test.todo(
    "Should render a `Upload` button in the dom when the type prop is `upload`"
  );

  test.todo(
    "Should render a `Spacer` button in the dom when the type prop is `spacer`"
  );

  test.todo(
    "Should render a `Bold` button in the dom when the type prop is `bold`"
  );

  test.todo(
    "Should render a `Italic` button in the dom when the type prop is `italic`"
  );

  test.todo(
    "Should render a `Underline` button in the dom when the type prop is `underline`"
  );

  test.todo(
    "Should render a `TextStyle` button in the dom when the type prop is `textStyle`"
  );

  test.todo(
    "Should render a `TextAlign` button in the dom when the type prop is `textAlign`"
  );

  test.todo(
    "Should render a `TextAlignLeft` button in the dom when the type prop is `textAlignLeft`"
  );

  test.todo(
    "Should render a `TextAlignRight` button in the dom when the type prop is `textAlignRight`"
  );

  test.todo(
    "Should render a `TextAlignCenter` button in the dom when the type prop is `textAlignCenter`"
  );

  test.todo(
    "Should render a `Link` button in the dom when the type prop is `link`"
  );

  test.todo(
    "Should render a `List` button in the dom when the type prop is `list`"
  );

  test.todo(
    "Should render a `ListBullet` button in the dom when the type prop is `listBullet`"
  );

  test.todo(
    "Should render a `ListNumbers` button in the dom when the type prop is `listNumbers`"
  );

  test.todo(
    "Should render a `ObjAlignLeft` button in the dom when the type prop is `objAlignLeft`"
  );

  test.todo(
    "Should render a `ObjAlignRight` button in the dom when the type prop is `objAlignRight`"
  );

  test.todo(
    "Should render a `ObjAlignCenter` button in the dom when the type prop is `objAlignCenter`"
  );

  test.todo(
    "Should render a `ButtonAlignGroup` button in the dom when the type prop is `textAlignGroup`"
  );

  test.todo(
    "Should render a `ButtonLinkGroup` button in the dom when the type prop is `linkGroup`"
  );

  test.todo(
    "Should render a `ButtonColorGroup` button in the dom when the type prop is `colorGroup`"
  );

  test.todo(
    "Should render a `ButtonFontGroup` button in the dom when the type prop is `fontGroup`"
  );

  test.skip("Should render a `Custom` button in the dom when the type prop is not recognized", () => {});
});
