import * as React from "react";
import { action } from "@storybook/addon-actions";
// import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import InlineControls from "./InlineControls";

export default {
  title: "Modules|Editor/InlineControls",
  component: InlineControls,
};

export const Default = () => (
  <InlineControls>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </InlineControls>
);

Default.story = {
  parameters: {
    jest: ["InlineControls"],
  },
};
