import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ColorPicker from "./ColorPicker";

export default {
  title: "Modules|Properties/Groups/ColorPicker",
  component: ColorPicker,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <ColorPicker
    color="blue"
    text="My Color"
    onChange={action("Color Change")}
    showHex
  />
);

Default.story = {
  parameters: {
    jest: ["ColorPicker"],
  },
};
