# &lt;IconSelector /&gt; Component

## Description

Shows a list of icons that the user can select from.

Includes tools to help them search and filter

## Checklist

This component should...

- Should render the component in the dom
- It should display a large list of material icons
- It should let me search and filter this list
- Should trigger the onChange() event when an icon is selected
- Should trigger the _onIconSelect_ plugin hook when an icon is selected
- Should trigger the _onIconSelectorRender_ plugin hook when the component is being rendered

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as IconSelector from '@sandcastle/Components/Properties/IconSelector`

export default () => (
  <IconSelector

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
