import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import LineHeight from "./LineHeight";

export default {
  title: "Modules|Properties/Individual Properties/LineHeight",
  component: LineHeight,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <LineHeight>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </LineHeight>
);

Default.story = {
  parameters: {
    jest: ["LineHeight"],
  },
};
