import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Margin from "./Margin";

export default {
  title: "Modules|Properties/Individual Properties/Margin",
  component: Margin,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Margin>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Margin>
);

Default.story = {
  parameters: {
    jest: ["Margin"],
  },
};
