import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<Margin /> Rendering >", () => {
  test.todo(`Should render the component in the dom`);
});

describe("<Margin /> Actions >", () => {
  test.todo(
    `Should not be able to set the value to one less than the minValue prop`
  );

  test.todo(
    `Should not be able to set the value to one more than the maxValue prop`
  );

  test.todo(
    `Should update the margin-top of the item to the value when the slider has changed`
  );
});

describe("<Margin /> Events >", () => {
  test.todo(`Should trigger the onChange() event when the setting changes`);
});

describe("<Margin /> Hooks >", () => {
  test.skip(`Should trigger the _onMarginChange_ plugin hook when the setting changes`, () => {});

  test.skip(`Should trigger the _onMarginRender_ plugin hook when the component is being rendered`, () => {});
});
