import * as React from "react";

interface MarginProps {
  
  /**
   * The minimum value that the slider can set
   */
  minValue?: Number

  /**
   * The maximum value that the slider can set
   */
  maxValue?: Number

  /**
   * Triggered when the setting changes
   */
  onChange?: Number
}

/**
 * Creates a Button Slider Group to Change the Components top position
 */
const Margin:React.FC<MarginProps> = ({ children }) => {
  

  return <div>{children}</div>;
}

export default Margin;
