import * as React from "react";

interface PaddingProps {
  
  /**
   * The minimum value that the slider can set
   */
  minValue?: Number

  /**
   * The maximum value that the slider can set
   */
  maxValue?: Number

  /**
   * Triggered when the setting changes
   */
  onChange?: () => void
}

/**
 * Creates a Button Slider Group to Change the Components Padding
 */
const Padding:React.FC<PaddingProps> = ({ children }) => {
  

  return <div>{children}</div>;
}

export default Padding;
