# &lt;Spacing /&gt; Component

## Description

Creates a Button Slider Group to Change the Components margin

## Checklist

This component should...

- Should render the component in the dom
- Should not be able to set the value to one less than the minValue prop
- Should not be able to set the value to one more than the maxValue prop
- Should update the spacing to the value when the slider has changed
- Should trigger the onChange() event when the setting changes
- Should trigger the _onSpacingChange_ plugin hook when the setting changes
- Should trigger the _onSpacingChange_ plugin hook when the component is being rendered

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as Spacing from '@sandcastle/Components/Individual Properties/Spacing`

export default () => (
  <Spacing

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
