import * as React from "react";

interface SpacingProps {
  
  /**
   * The minimum value that the slider can set
   */
  minValue?: Number

  /**
   * The maximum value that the slider can set
   */
  maxValue?: Number

  /**
   * Triggered when the setting changes
   */
  onChange?: () => any
}

/**
 * Creates a Button Slider Group to Change the Components margin
 */
const Spacing:React.FC<SpacingProps> = ({ children }) => {
  

  return <div>{children}</div>;
}

export default Spacing;
