import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Alignment from "./Alignment";

export default {
  title: "Modules|Properties/Sections/Alignment",
  component: Alignment,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Alignment>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Alignment>
);

Default.story = {
  parameters: {
    jest: ["Alignment"],
  },
};
