import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<Alignment /> Rendering >", () => {
  test.todo(`Should render the Alignment component in the dom`);

  test.todo(
    `Should render the margin alignment group when the showMarginAlignmentGroup prop is true`
  );

  test.todo(
    `Should render the horizontal alignment group when the showHorizontalAlignmentGroup prop is true`
  );

  test.todo(
    `Should render the vertical alignment group when the showVerticalAlignmentGroup prop is true`
  );

  test.todo(
    `Should render the text alignment buttons when the showTextAlignmentGroup prop is true`
  );
});

describe("<Alignment /> Events >", () => {
  test.todo(
    `Should trigger the _onChange_ event when the alignment changes in some way`
  );
});

describe("<Alignment /> Actions >", () => {
  test.todo(
    `Should update the selected item's alignment when the onChange event is triggered`
  );
});

describe("<Alignment /> Hooks >", () => {
  test.skip(`Should trigger the _onAlignmentRender_ plugin hook when the Alignment component is rendering`, () => {});

  test.skip(`Should trigger the _onAlignmentChange_ plugin hook when the alignment changes in some way`, () => {});
});
