import * as React from "react";

interface AlignmentProps {
  
  /**
   * Whether or not to show the margin alignment group
   */
  showMarginAlignmentGroup?: Boolean

  /**
   * Whether or not to show the horizontal alignment group
   */
  showHorizontalAlignmentGroup?: Boolean

  /**
   * Whether or not to show the vertical alignment group
   */
  showVerticalAlignmentGroup?: Boolean

  /**
   * Whether or not to show the text alignment buttons
   */
  showTextAlignmentGroup?: Boolean

  /**
   * Triggers when the alignment changes in some way
   */
  onChange?: () => void
}

/**
 * A section with tools for aligning content (horizontally, vertically, etc)
 */
const Alignment:React.FC<AlignmentProps> = ({ children }) => {
  

  return <div>{children}</div>;
}

export default Alignment;
