# &lt;Alignment /&gt; Component

## Description

A section with tools for aligning content (horizontally, vertically, etc)

## Checklist

This component should...

- Should render the Alignment component in the dom
- Should render the margin alignment group when the showMarginAlignmentGroup prop is true
- Should render the horizontal alignment group when the showHorizontalAlignmentGroup prop is true
- Should render the vertical alignment group when the showVerticalAlignmentGroup prop is true
- Should render the text alignment buttons when the showTextAlignmentGroup prop is true
- Should trigger the _onChange_ event when the alignment changes in some way
- Should update the selected item's alignment when the onChange event is triggered
- Should trigger the _onAlignmentRender_ plugin hook when the Alignment component is rendering
- Should trigger the _onAlignmentChange_ plugin hook when the alignment changes in some way

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as Alignment from '@sandcastle/Components/Sections/Alignment`

export default () => (
  <Alignment

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
