import * as React from "react";

interface BackgroundProps {
  /**
   * extends the section props
   */
  sectionProps?: any;

  /**
   * An array of properties to hide - color, image, (video), (parallax)
   */
  propertiesToHide?: any[];

  /**
   * Triggers when the background changes in some way
   */
  onChange?: () => void;
}

/**
 * A section for configuring the background properties of an object
 */
const Background: React.FC<BackgroundProps> = ({ children }) => {
  return <div>{children}</div>;
};

export default Background;
