import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ActionSelector from "./ActionSelector";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Components/Action Selector",
  component: ActionSelector,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <ActionSelector>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </ActionSelector>
);

Default.story = {
  parameters: {
    jest: ["ActionSelector"],
  },
};
