import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<ActionSelector /> Rendering >", () => {
  test.todo(`Should render the component in the dom`);

  test.todo(
    `Should only show actions that match the filter provided in the filter prop`
  );

  test.todo(
    `Should show the title of the action as indicated by the label prop`
  );
});

describe("<ActionSelector /> Events >", () => {
  test.skip(`Should trigger the onSetAction() event when a action is to be set for the object`, () => {});

  test.skip(`Should trigger the onDeleteAction() event when a action is to be deleted from the stack`, () => {});
});

describe("<ActionSelector /> Actions >", () => {
  test.todo(
    `Should update the settings with the new action object once it has been set or updated`
  );

  test.todo(
    `Should render a relevant <ActionSubSelector /> after the initial action is selected`
  );
});

describe("<ActionSelector /> Hooks >", () => {
  test.skip(`Should trigger the _onActionSelectorMenuList_ plugin hook when the menu list of actions are being listed`, () => {});

  test.skip(`Should trigger the _onActionSelectorRender_ plugin hook when the ActionSelector component is being rendered`, () => {});

  test.skip(`Should trigger the _onDeleteAction_ plugin hook when a action is to be deleted from the stack`, () => {});
});
