import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ActionSubSelector from "./ActionSubSelector";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Components/Action Subselector",
  component: ActionSubSelector,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <ActionSubSelector>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </ActionSubSelector>
);

Default.story = {
  parameters: {
    jest: ["ActionSubSelector"],
  },
};
