import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<BehaviorSelector /> Rendering >", () => {
  test.skip(`Should render the component in the dom`, () => {});

  test.skip(`Should only show behaviors that match the filter provided in the filter prop`, () => {});

  test.skip(`Should show the title of the behavior as indicated by the label prop`, () => {});
});

describe("<BehaviorSelector /> Events >", () => {
  test.skip(`Should trigger the onSetBehavior() event when a behavior is to be set for the object`, () => {});

  test.skip(`Should trigger the onDeleteBehavior() event when a behavior is to be deleted from the stack`, () => {});
});

describe("<BehaviorSelector /> Actions >", () => {
  test.skip(`Should update the settings with the new behavior object once it has been set or updated`, () => {});

  test.skip(`Should render a relevant <BehaviorSubSelector /> after the initial behavior is selected`, () => {});
});

describe("<BehaviorSelector /> Hooks >", () => {
  test.skip(`Should trigger the _onBehaviorSelectorMenuList_ plugin hook when the menu list of behaviors are being listed`, () => {});

  test.skip(`Should trigger the _onBehaviorSelectorRender_ plugin hook when the BehaviorSelector component is being rendered`, () => {});

  test.skip(`Should trigger the _onDeleteBehavior_ plugin hook when a behavior is to be deleted from the stack`, () => {});
});
