# &lt;GoToUrl /&gt; Component

## Description

Provides a list of options for linking to another pag. For example: A custom url, the next page in the funnel, or one of the other pages in this particular funnel

## Checklist

This component should...

- Should render the component in the dom
- Should trigger the onSubSelectionRender([GoToUrl]) plugin hook when the GoToUrl component is rendering
- Should trigger the onChange() event when the GoToUrl settings have been set
- Should update the action settings with the url redirect action information once the GoToUrl settings change

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as GoToUrl from '@sandcastle/Components/Sections/GoToUrl`

export default () => (
  <GoToUrl

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
