import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import PopupOptions from "./PopupOptions";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Sub Selectors/PopupOptions",
  component: PopupOptions,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <PopupOptions>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </PopupOptions>
);

Default.story = {
  parameters: {
    jest: ["PopupOptions"],
  },
};
