import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<PopupOptions /> Rendering >", () => {
  test.todo(`Should render the component in the dom`);

  test.todo(
    `Should show the list of existing popup windows in the dropdown menu to select from`
  );

  test.todo(
    `Should show the chosen popup window in the dropdown menu if one was previously chosen`
  );
});

describe("<PopupOptions /> Events >", () => {
  test.skip(`Should trigger the onChange() event when the popup settings have been set`, () => {});
});

describe("<PopupOptions /> Actions >", () => {
  test.todo(`Should let the user create a new popup window`);
  test.todo(
    `Should update the action settings with the correct popup action information once the popup settings change`
  );
});

describe("<PopupOptions /> Hooks >", () => {
  test.skip(`Should trigger the onSubSelectionRender([PopupOptions]) plugin hook when the PopupOptions component is rendering`, () => {});
});
