import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ShowHide from "./ShowHide";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Sub Selectors/ShowHide",
  component: ShowHide,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <ShowHide>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </ShowHide>
);

Default.story = {
  parameters: {
    jest: ["ShowHide"],
  },
};
