import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import TriggerPurchase from "./TriggerPurchase";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Sub Selectors/TriggerPurchase",
  component: TriggerPurchase,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <TriggerPurchase>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </TriggerPurchase>
);

Default.story = {
  parameters: {
    jest: ["TriggerPurchase"],
  },
};
