import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import TriggerUpsell from "./TriggerUpsell";

export default {
  title:
    "Modules|Properties/Sections/Behaviors And Actions/Sub Selectors/TriggerUpsell",
  component: TriggerUpsell,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <TriggerUpsell>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </TriggerUpsell>
);

Default.story = {
  parameters: {
    jest: ["TriggerUpsell"],
  },
};
