import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import BordersShadow from "./BordersShadow";

export default {
  title: "Modules|Properties/Sections/BordersShadow",
  component: BordersShadow,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <BordersShadow>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </BordersShadow>
);

Default.story = {
  parameters: {
    jest: ["BordersShadow"],
  },
};
