import * as React from "react";

interface ObjectPresetsProps {
  /**
   * ...all of the section props
   */
  sectionProps?: any;

  /**
   * An array of presets to show the user
   */
  presets?: any[];

  /**
   * The component to show inside each preset
   */
  component?: React.ReactNode;
}

/**
 * Show's a collection of pre-built components with each having a specific setting that will apply when clicked. If more presets exist than can fill the viewport, it will show in a carousel
 */
const ObjectPresets: React.FC<ObjectPresetsProps> = ({ children }) => {
  return <div>{children}</div>;
};

export default ObjectPresets;
