import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Preset from "./Preset";

export default {
  title: "Modules|Properties/Sections/ObjectPresets/Preset",
  component: Preset,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Preset>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Preset>
);

Default.story = {
  parameters: {
    jest: ["Preset"],
  },
};
