import * as React from "react";

interface ObjectPreviewProps {
  /**
   * ...all of the section props
   */
  sectionProps?: any;

  /**
   * ...
   */
  children?: React.ReactNode;

  /**
   * This is a way to set the background color of the preview view port
   */
  color?: string;
}

/**
 * Show's a small preview of the component. The wrapper calculates how much zoom to apply to the child component in order to fit it nicely inside of the viewport
 */
const ObjectPreview: React.FC<ObjectPreviewProps> = ({ children }) => {
  return <div>{children}</div>;
};

export default ObjectPreview;
