# &lt;ObjectPreview /&gt; Component

## Description

Show's a small preview of the component. The wrapper calculates how much zoom to apply to the child component in order to fit it nicely inside of the viewport

## Checklist

This component should...

- Should render in the dom
- Should render a child component if one is provided
- Should zoom out or in the child component in such a way that it fits the container with no overlaps
- Should have a backgroundColor that matches the color prop
- Triggers the _onObjectPreviewRender_ plugin hook when the ObjectPreview component renders

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as ObjectPreview from '@sandcastle/Components/Sections/ObjectPreview`

export default () => (
  <ObjectPreview

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
