import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import PositionPadding from "./PositionPadding";

export default {
  title: "Modules|Properties/Sections/PositionPadding",
  component: PositionPadding,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <PositionPadding>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </PositionPadding>
);

Default.story = {
  parameters: {
    jest: ["PositionPadding"],
  },
};
