import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import SectionWrapper from "./SectionWrapper";

export default {
  title: "Modules|Properties/SectionWrapper",
  component: SectionWrapper,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <SectionWrapper>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </SectionWrapper>
);

Default.story = {
  parameters: {
    jest: ["SectionWrapper"],
  },
};
