import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<SectionWrapper /> Rendering", () => {
  test.todo(`Should render a SectionWrapper component in the dom`);

  test.todo(`Should show a title in the dom as provided by the title prop`);

  test.skip(`Should not show any background colors when the backgroundIsShowing prop is set to false`, () => {});

  test.todo(
    `Should not show a label header when the labelIsShowing prop is false`
  );

  test.skip(`Should style the wrapper according to the style provided in the style prop`, () => {});

  test.todo(
    `Show the section in a collapsed (where no children components are visible) form when the isExpanded prop is false`
  );

  test.skip(`Should show the component provided by the  sectionWrapperComponent instead of the default section component when one is provided`, () => {});

  test.todo(
    `Should render any provided children elements when the isExpanded component is true`
  );
});

describe("<SectionWrapper /> Events >", () => {
  test.skip(`Should trigger the onExpand() event when the section should expand`, () => {});

  test.skip(`Should trigger the onCollapse() event when the section should collapse`, () => {});
});
