import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Typography from "./Typography";

export default {
  title: "Modules|Properties/Sections/Typography",
  component: Typography,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <Typography>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </Typography>
);

Default.story = {
  parameters: {
    jest: ["Typography"],
  },
};
