import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import UploadGroup from "./UploadGroup";

export default {
  title: "Modules|Properties/Sections/UploadGroup",
  component: UploadGroup,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <UploadGroup>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </UploadGroup>
);

Default.story = {
  parameters: {
    jest: ["UploadGroup"],
  },
};
