# &lt;WidthHeight /&gt; Component

## Description

A section for configuring the width and height of an object

## Checklist

This component should...

- Triggers the onChange() event when the width or height changes in some way
- Triggers the _onWidthHeightRender_ plugin hook when the WidthHeight component renders
- Triggers the _onWidthHeightChange_ plugin hook when the width or height changes in some way
- Should not render the Width component when the showWidthGroup prop is false
- Should not render the Height component when the showHeightGroup prop is false

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as WidthHeight from '@sandcastle/Components/Sections/WidthHeight`

export default () => (
  <WidthHeight

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
