import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import WidthHeight from "./WidthHeight";

export default {
  title: "Modules|Properties/Sections/WidthHeight",
  component: WidthHeight,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <WidthHeight>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </WidthHeight>
);

Default.story = {
  parameters: {
    jest: ["WidthHeight"],
  },
};
