const _ = require("lodash");

module.exports = {
  getParams: params => {
    return { ...params, api_key: params.payload.api_key };
  },
  getResponse: json => {
    const myCampaigns = _.get(json, "list_of_campaign", []);
    const campaigns = myCampaigns.map(itm => ({
      ...itm,
      campaign_id: itm.campaignId,
      campaign_name: itm.name
    }));

    return {
      ...json,
      campaigns
    };
  }
};
