const _ = require("lodash");

module.exports = {
  getParams: params => {
    return {
      ...params,
      app_id: params.payload.app_id,
      username: params.payload.username,
      password: params.payload.password,
      account_id: params.payload.account_id,
      cFolder_id: params.payload.cFolder_id
    };
  },
  getResponse: json => {
    const myCampaigns = _.get(json, "email_list", []);
    const campaigns = myCampaigns.map(itm => ({
      ...itm,
      campaign_id: itm.listId,
      campaign_name: itm.publicname
    }));

    return {
      ...json,
      campaigns
    };
  }
};
