const _ = require("lodash");

module.exports = {
  getParams: params => {
    return {
      ...params,
      public_key: params.payload.public_key,
      private_key: params.payload.private_key
    };
  },
  getResponse: json => {
    const myCampaigns = _.get(json, "list", []);
    const campaigns = myCampaigns.map(itm => ({
      ...itm,
      campaign_id: itm.list_uid,
      campaign_name: itm.display_name
    }));

    return {
      ...json,
      campaigns
    };
  }
};
