import theme from "../../theme";

export const style = {
  SECTION: {
    background: theme.foregroundColor,
  },
  SECTION_INNER: {
    margin: "0 auto",
    padding: 100,
    mobile: {
      desktop: {
        padding: 100,
      },
      smartphone: {
        padding: 10,
      },
    },
  },
  HEADLINE: {
    textAlign: "left",
    fontSize: "28pt",
    fontFamily: theme.fontFamily,
    // fontWeight: "bold" as "bold",
    marginTop: 40,
  },
  TEXT: {
    textAlign: "left",
    fontFamily: theme.fontFamily,
    fontSize: "13pt",
  },
  ICON: {
    display: "inline-block",
    fontSize: "18pt",
    borderRadius: "100%",
    color: theme.backgroundColor,
    padding: 10,
    backgroundColor: theme.foregroundColor,
    textAlign: "center",
  },
};
