import theme from "../../theme";

export const style = {
  SECTION: {
    background: theme.foregroundColor,
  },
  SECTION_INNER: {
    margin: "0 auto",
    padding: 50,
    border: `4px dashed ${theme.backgroundColor}`,
  },
  HEADLINE: {
    textAlign: "center",
    fontSize: "42pt",
    fontFamily: "Poppins",
    fontWeight: "bold" as "bold",
    paddingBottom: 10,
    color: theme.highlightColor,
  },
  SUBHEADLINE: {
    textAlign: "center",
    fontSize: "22pt",
    fontFamily: theme.fontFamily,
    fontWeight: "bold" as "bold",
    paddingBottom: 10,
  },
  TEXT: {
    fontFamily: theme.fontFamily,
    fontSize: "12pt",
    lineHeight: "18pt",
    padding: "20px 0",
  },
  LISTITEM: {
    style: {
      // color: theme.foregroundColor,
      fontFamily: theme.fontFamily,
      padding: "10px 0",
    },
    iconStyle: {
      borderRadius: "100%",
      // backgroundColor: theme.foregroundColor,
      padding: 10,
      color: theme.backgroundColor,
    },
    contentStyle: {
      padding: 10,
    },
  },
  BUTTON: {
    style: {
      display: "inline-block",
      padding: "15px 100px",
      border: "none",
      backgroundColor: theme.backgroundColor,
      // width: "100%",
      borderRadius: 3,
      cursor: "pointer",
      margin: "0 auto",
      marginTop: 40,
      textAlign: "center",
    },
    caption1: {
      color: theme.foregroundColor,
      fontWeight: "bold" as "bold",
      fontSize: "22pt",
    },
  },
};
