import theme from "../../theme";

export const style = {
  SECTION: {
    background: theme.foregroundColor,
  },
  SECTION_INNER: {
    margin: "0 auto",
    padding: 50,
  },
  HEADLINE: {
    fontFamily: "Poppins",
    paddingBottom: 5,
    fontSize: "26pt",
    fontWeight: "bold" as "bold",
    lineHeight: "26pt",
  },
  SUBHEADLINE: {
    color: "#ed342c",
    fontFamily: "Roboto",
    fontSize: "16pt",
  },
  FORM_CONTAINER: {
    marginLeft: 130,
    marginTop: 0,
    boxShadow: `0 20px 55px rgb(0,0,0,0.25)`,
  },
  FORM_FIELD: {
    style: {
      padding: 10,
      maxWidth: "100%",
      paddingRight: 40,
    },
    inputStyle: {
      width: "100%",
      backgroundColor: "#EEE",
      padding: 15,
      borderRadius: 20,
      border: "none",
    },
    labelStyle: {
      fontFamily: "Roboto",
      fontSize: "10pt",
      textAlign: "left",
      padding: 5,
    },
  },
  BUTTON: {
    style: {
      display: "inline-block",
      margin: "10px auto",
      padding: "10px 100px",
      backgroundColor: theme.highlightColor,
      border: "none",
      borderRadius: 5,
      boxShadow: "1px 1px rgb(0,0,0,0.25)",
      cursor: "pointer",
    },
    caption1: {
      fontFamily: theme.fontFamily,
      textShadow: "2px 2px rgb(0,0,0,0.25)",
      fontSize: "20pt",
      fontWeight: "bold" as "bold",
      color: theme.foregroundColor,
      lineHeight: "35px",
      display: "block",
    },
    caption2: {
      color: "white",
      fontSize: "11pt",
    },
  },
  TEXT: {
    fontFamily: "Roboto",
    padding: 20,
    fontSize: "10pt",
    lineHeight: "14pt",
    paddingBottom: 10,
    // fontWeight: "bold" as "bold",
  },
};
