import { get } from "lodash";

import Administration from "./Administration";
// import settings from "@sc/10mf/src/config";

export const onListItems = (hook, payload, actions) => {
  const user = JSON.parse(sessionStorage.getItem("user"));

  // console.log({ user });
  if (
    hook.id === "AppDrawer" &&
    hook.position === "top" &&
    get(user, "permissions", []).indexOf("admin") > -1
  ) {
    return [
      {
        route: "/admin",
        icon: "account_box",
        label: "Administration",
      },
    ];
  }

  if (hook.id === "routes") {
    return [Administration];
  }
};
