## Spec for "Another Funnel" Node​

A node in the funnel builder that will redirect users to the url of a page in a different funnel

## Table of Contents​

- [Spec for "Another Funnel" Node​](#spec-for-%22another-funnel%22-node%e2%80%8b)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Test Plan](#test-plan)
- [Acceptance Tests​](#acceptance-tests%e2%80%8b)
- [Screens / States​](#screens--states%e2%80%8b)
  ​

## Workflow

(N/A)​

## User Stories

- As a user, i want the ability to create a node that routes traffic to a page inside another funnel
- As a user, i want to select the page in the other funnel to route my traffic to

## Test Plan

| Scenario                                                       | Expected                                                                                               |
| -------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| When the user opens the [add new] > [destination] tab          | An [Another Funnel] Node apppears                                                                      |
| When the user drags a [another funnel] node to the canvas      | Node appears on the canvas                                                                             |
| User Double-clicks the [another funnel] node                   | Configuration popup shows (user can select campaign & page) & previous settings (if any) are displayed |
| User selects campaign                                          | Pages associated with that funnel displayed as options below                                           |
| User selects a page & clicks [ok]                              | Configuration is saved                                                                                 |
| Visitor accesses page associated with an "Another Funnel" Node | Visitor is redirected to destination of selected page                                                  |

## Acceptance Tests​

(N/A)​

## Screens / States​

![](http://ambid-backups.s3.amazonaws.com/screenshots/another-funnel-in-drawer.png)
![](http://ambid-backups.s3.amazonaws.com/screenshots/another-funnel-node.png)
