## Spec for "Shopping Carts" Sub Tab

A "Shoping Carts" subtab of nodes in the "destinations" tab of the funnel builder with a collection of nodes
that each represent a different shopping cart.

## Table of Contents​

- [Spec for "Shopping Carts" Sub Tab](#spec-for-%22shopping-carts%22-sub-tab)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Test Plan](#test-plan)
- [Acceptance Tests​](#acceptance-tests%e2%80%8b)
- [Screens / States​](#screens--states%e2%80%8b)

## Workflow

(N/A)​

## User Stories

- As a user, I want an easy way to route users to my shopping cart's order form url
- As a user, I want to see a collection of icons that represent various shopping carts
- As a user, I want customized instructions that show me exactly how to connect to my shopping cart

## Test Plan

| Scenario                                                        | Expected                                                                |
| --------------------------------------------------------------- | ----------------------------------------------------------------------- |
| When the user opens the [add new] > [destinations] tab          | A [Shopping Carts] Tab is shown                                         |
| When the user selects the [shopping carts] tab                  | A list of popular shopping carts are shown (as nodes)                   |
| When the user drags a [shopping cart] node to the canvas        | The node appears on the canvas as well                                  |
| User Double-clicks a [shopping cart] node                       | A popup with instructions and an input for the destination url is shown |
| User updates (and saves) the destination url                    | Configuration settings are saved                                        |
| Visitor accesses the url associated with a "Shopping Cart" Node | Visitor is redirected to destination url entered                        |

## Acceptance Tests​

(N/A)​

## Screens / States​

![](http://ambid-backups.s3.amazonaws.com/screenshots/shoping-cart-node.png)
