import React from "react";
import {
  Button,
  Dialog,
  DialogBody,
  DialogTitle,
} from "@sc/components/ui";

export default props => (
  <Dialog {...props}>
    <DialogTitle>
      A/B Split Testing
    </DialogTitle>
    <DialogBody>
      <div style={{ height: 500, padding: "0 35px", overflowY: "auto" }}>
        Popup Contents
      </div>
      <Button primary large style={{ marginTop: 10 }} onClick={props.onClose}>
        Save Changes
      </Button>
    </DialogBody>
  </Dialog>    
)