import React from 'react';
import { triggerHook } from '@sc/plugins'
import ItemDrawerTabContent from '@sc/modules/campaign/AdvancedBuilder/ItemDrawerTabContent'

export default (props) => {

  const objects = triggerHook('onListItems', { id: 'FunnelActionObjects' });
  
  return (
    <ItemDrawerTabContent
      {...props}
      title="Funnel Actions"
      objects={objects}
      hint="Click on a funnel action<br/>and drag it to the canvas"
    />
  )
}