import React from "react";
import ItemDrawerTabContent from "@sc/modules/campaign/AdvancedBuilder/ItemDrawerTabContent";
import { triggerHook } from "@sc/plugins";

export default props => {
  const objects = triggerHook("onListItems", { id: "TrafficSourceObjects" });

  return (
    <ItemDrawerTabContent
      {...props}
      title="Traffic Sources"
      objects={objects}
      hint="Click on a traffic source<br/>and drag it to the canvas"
    />
  );
};
