import { forEach, has } from "lodash";
import { plugins } from "./";

export const triggerHook = (name, hook, payload, actions) => {
  let toRet = [];
  forEach(plugins, async itm => {
    if (has(itm, name)) {
      const res = itm[name](hook, payload, actions); // trigger the function on every plugin that has it
      // if (name === "onListItems") console.log('triggerHook Called', { itmnm: itm[name], name, hook })
      const response = res;
      forEach(response, itm => toRet.push(itm));
    }
  });

  // console.log('triggerHook', plugins[48]['onListItem'](hook, payload, actions))//['onListItems'](hook, payload, actions))
  // console.log('triggerHook Called', name, plugins)
  // console.log('triggerHook Called', { name, hook, payload })

  return toRet;
};

export const triggerAsyncHook = async (name, hook, payload, actions) => {
  let ret = [];

  for (let i = 0; i <= plugins.length; i++) {
    const itm = plugins[i];
    if (has(itm, name)) {
      const resp = await itm[name](hook, payload, actions);
      if (resp) ret.push(resp);
    }
  }

  return ret;
};
