import EditorButton from "./Button";
// import settings from "./settings";

/**
 * Retire the old (v1) button from the Add New Drawer, but still render it in the editor (and properties) so that it remains backwards compatible
 */
// export const onListItem = (hook, payload, actions) => {
//   if (hook.id === "webcomponent") {
//     return [settings];
//   }
// };

export const onComponentRender = (hook, payload, actions) => {
  if (hook.id === "webcomponent" && payload.type === "Button")
    return [EditorButton];
};
