import settings from "./settings";
import EditorColumns from "./Columns";
import EditorColumn from "./column";

export const onListItem = (hook, payload, actions) => {
  if (hook.id === "webcomponent") {
    return [settings];
  }
};

export const onComponentRender = (hook, payload, actions) => {
  if (hook.id === "webcomponent" && payload.type === "Columns") {
    return [EditorColumns];
  }

  if (hook.id === "webcomponent" && payload.type === "Column") {
    return [EditorColumn];
  }
};
