import theme from "@sc/components/ui/theme";
export default {
  id: "container",
  name: "Container",
  // thumbnail: "comp_container.png",
  thumbnail: {
    style: {
      background:
        theme.altColor[7],
      color: `rgb(255,255,255,0.85)`,
      fontFamily: "Roboto",
      fontSize: "8pt",
      textAlign: "center",
      paddingTop: 11,
    },
    icon: "crop_3_2"
  },
  default: {
    type: "Container",
    canHaveChildren: true,
    properties: {
      textAlign: "center",
      display: "inline-block",
      width: "100%"
    }
  }
};
