import 'semantic-ui-css/semantic.min.css'
import Divider from './Divider'

export const onListItem = (hook, payload, actions) => {
  if (hook.id === "webcomponent" && hook.type === "drawer") {
    return [{
      id: "divider",
      name: "divider",
      thumbnail: "comp_dividers.png",
      default: {
        type: "Divider",
        properties: {
          width: "100%",
        }
      }
    }]
  }
}

export const onComponentRender = (hook, settings, actions) => {
  if (hook.id === 'webcomponent' && settings.type === 'Divider') {
    if (hook.mode === 'live') return [Divider]
    else return [Divider]
  }
}