import EditorVideo from './Video'
import LiveVideo from './component'
import settings from './settings'

export const onListItem = (hook, payload, actions) => {
  if (hook.id === "webcomponent") {
    return [settings]
  }
}

export const onComponentRender = (hook, payload, actions) => {
  if (hook.id === 'webcomponent' && payload.type === 'Video') {
    if (hook.mode === 'live') return [LiveVideo]
    else return [EditorVideo]
  }
}