import { EditorButton } from "./component";
import settings from "./settings";
import { ComponentTypes } from "../types";

export const onListItem = (hook, payload, actions) => {
  if (hook.id === "webcomponent") {
    return [settings];
  }
};

export const onComponentRender = (hook, payload, actions) => {
  if (hook.id === "webcomponent" && payload.type === ComponentTypes.BUTTON) {
    return [EditorButton];
  }
};
