## Spec for "Button" Plugin...

A component for creating/editing buttons on a web page

## Table of Contents​

- [Spec for "Button" Plugin...](#spec-for-%22button%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- As a user I want to be able to create and edit buttons on my page
- As a user, I want to have a selection of various effects that I can apply to a button
- As a user, I want to quickly apply hover-based actions and styles
- As a user, I would like the ability to perform a one-click-upsell on the thank you page of an order form

## Screens / States​

![]()

## Sections Used

- Button Text
- Color
- Actions
- Size
- Position/Padding
- Alignment
- Borders/Shadow

## Test Plan

| √   | Scenario                                                            | Expected                                                            |
| --- | ------------------------------------------------------------------- | ------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [Button] Widget appears                                           |
| √   | When a user drags the button widget to the canvas                   | A simple button appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The button properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | Button settings adjust accordingly (both editor & live mode)        |
| √   | When a user configures the design (font, color, bg, border, shadow) | Button settings adjust accordingly (both editor & live mode)        |
| √   | When a user publishes a page with the button                        | The destination page shows the button as specified on the live page |
| x   | When a user chooses a preset                                        | Button settings overwrite to the preset settings                    |
