import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export interface ContainerProps {
  mode?: EditorMode;
  children?: React.ReactNode;
  style?: React.CSSProperties;
  properties?: React.CSSProperties;
  name?: string;
  id?: string;
}

export interface PluginProps extends EditorComponentProps {
  settings: ContainerProps;
}
