import * as React from "react";
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export interface FacebookCommentsProps {
  mode?: EditorMode;
  appId?: string;
  href?: string;
  style?: React.CSSProperties;
  properties?: React.CSSProperties;
}

export interface PluginProps extends EditorComponentProps {
  settings: FacebookCommentsProps;
}
