// It renders the component on the page
import * as React from "react";

import { render, screen } from "@testing-library/react";

import { GoogleLoginComponent } from "./live";
import settings from "./settings";

describe("GoogleLoginComponent (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-GOOGLELOGIN-LIVE";
    const { debug } = render(<GoogleLoginComponent {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
