## Spec for "Google Login Plugin...

A configurable Google Login widget that can be added to any web page

## Table of Contents​

- [Spec for "Google Login Plugin...](#spec-for-%22google-login-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Google Login button on my page

## Screens / States​

![]()

## Sections Used

- App Id
- Basic Button Properties --> icon size, background, typography, border/shadow
- Position/Padding
- Post Optin Action
- Cancel Optin Action

## Test Plan

| √   | Scenario                                                            | Expected                                                                  |
| --- | ------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [Google Login Widget] appears                                           |
| √   | When a user drags the Google Login widget to the canvas             | A simple Google Login appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Google Login properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | settings adjust accordingly (both editor & live mode)                     |
| √   | When a user configures the design (font, color, bg, border, shadow) | settings adjust accordingly (both editor & live mode)                     |
| √   | When a user publishes a page with the Google Login                  | The destination page shows the Google Login as specified on the live page |
| x   | When a user chooses a preset                                        | settings overwrite to the preset settings                                 |
