import * as React from "react";
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export interface HTMLProps {
  mode?: EditorMode;
  name?: string;
  html?: string;
  style?: any;
  id?: string;
  getComponentSettings?: (id?: string) => any;
  updateComponentSettings?: (
    id: string,
    settings: any,
    dbUpdate?: boolean,
    debounceTimeout?: boolean | number
  ) => void;
}

export interface PluginProps extends EditorComponentProps {
  settings: HTMLProps;
}
