// It renders the component on the page
import * as React from "react";

import { render, screen } from "@testing-library/react";

import { Headline } from "./live";
import settings from "./settings";

describe("Headline (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-HEADLINE-LIVE";
    const { debug } = render(<Headline {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
