## Spec for "Headline" Plugin...

A configurable Headline widget that can be added to any web page

## Table of Contents​

- [Spec for "Headline" Plugin...](#spec-for-%22headline%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Headline object on my page

## Screens / States​

![]()

## Sections Used

- Typography
- Position/Padding
- Alignment
- Presets

## Test Plan

| √   | Scenario                                                            | Expected                                                              |
| --- | ------------------------------------------------------------------- | --------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [Headline Widget] appears                                           |
| √   | When a user drags the Headline widget to the canvas                 | A simple Headline appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Headline properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | settings adjust accordingly (both editor & live mode)                 |
| √   | When a user configures the design (font, color, bg, border, shadow) | settings adjust accordingly (both editor & live mode)                 |
| √   | When a user publishes a page with the Headline                      | The destination page shows the Headline as specified on the live page |
| x   | When a user chooses a preset                                        | settings overwrite to the preset settings                             |
