import * as React from "react";

import { EditorComponentProps, EditorMode } from "@sc/modules/v2/Editor/types";

export interface HeadlineProps {
  mode?: EditorMode;
  name?: string;
  id?: string;
  html?: React.ReactNode | string;
  children?: React.ReactNode | string;
  style?: React.CSSProperties;
  properties?: React.CSSProperties;
}

export interface PluginProps extends EditorComponentProps {
  settings: HeadlineProps;
}
