// It renders the component on the page
import * as React from "react";

import { render, screen } from "@testing-library/react";

import { Image } from "./live";
import settings from "./settings";

describe("Image (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-IMAGE-LIVE";
    const { debug } = render(<Image {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });
});
