## Spec for "List Builder" Plugin...

A configurable List Builder widget that can be added to any web page

## Table of Contents​

- [Spec for "List Builder" Plugin...](#spec-for-%22list-builder%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- As a user, I want to add text in bullet / list format and have a selection of different bullet icons to choose from

## Screens / States​

![]()

## Sections used

- List Presets
- List Items Sortable
- Placeholder
- Typography
- Position/Padding
- Width/Height
- Alignment

## Test Plan

| √   | Scenario                                                            | Expected                                                                  |
| --- | ------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [List Builder Widget] appears                                           |
| √   | When a user drags the List Builder widget to the canvas             | A simple List Builder appears with two default inputs (name and email)    |
| √   | When a user clicks the [*] button on the widget                     | The List Builder properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | List Item settings adjust accordingly (both editor & live mode)           |
| √   | When a user configures the design (font, color, bg, border, shadow) | List Item settings adjust accordingly (both editor & live mode)           |
| √   | When a user specifies a List Builder date/time                      | The List Builder adjusts to begin counting down from specified date       |
| √   | When a user publishes a page with the List Builder                  | The destination page shows the List Builder as specified on the live page |
| x   | When a user chooses a preset                                        | List Item settings overwrite to the preset settings                       |
