import * as React from 'react'
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export interface ProgressProps {
  mode?: EditorMode;
  style?: React.CSSProperties;
  properties?: React.CSSProperties;
  value?: number;
  barStyle?: React.CSSProperties;
  testId?: string;
}

export interface PluginProps extends EditorComponentProps {
  settings: ProgressProps;
}
