## Spec for "Repeater Repeater" Plugin...

A configurable Repeater Repeater widget that can be added to any web page

## Table of Contents​

- [Spec for "Repeater Repeater" Plugin...](#spec-for-%22repeater-repeater%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Repeater Repeater object on my page
- Drop an object inside it
- Put in merge fields inside the container
- Switch live/edit view to see live content

## Screens / States​

![]()

## Sections Used

- Data Record Builder
- Position/Padding
- Actions
- Alignment
- Borders & Shadow

## Test Plan

| √   | Scenario                                                             | Expected                                                              |
| --- | -------------------------------------------------------------------- | --------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                  | A [Repeater Widget] appears                                           |
| √   | When a user drags the Repeater widget to the canvas                  | A simple Repeater Repeater appears                                    |
| √   | When a user clicks the [*] button on the widget                      | The Repeater Repeater properties box appears                          |
| √   | When a user changes the layout (align, position)                     | Repeater settings adjust accordingly (both editor & live mode)        |
| √   | When a user configures the design (font, color, bg, border, shadow)  | Repeater settings adjust accordingly (both editor & live mode)        |
| √   | When a user publishes a page with the Repeater                       | The destination page shows the Repeater as specified on the live page |
| √   | When a user specifies an post Repeater action (redirect, popup, tag) | Repeater settings adjust accordingly (both editor & live mode)        |
| x   | When a user chooses a preset                                         | Repeater settings overwrite to the preset settings                    |
