import * as React from "react";
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export interface SectionProps {
  mode?: EditorMode;
  children?: React.ReactNode;
  style?: React.CSSProperties;
  properties?: React.CSSProperties;
  testId?: string;
  id?: string;
}

export interface PluginProps extends EditorComponentProps {
  settings: SectionProps;
  pageContent: any[];
  moveThisByThat: (id1: string, id2: string, dbUpdate?: boolean) => any;
  addThisAfterThat: (item: object, id: string, callbackFn?: () => any) => any;
}
