## Spec for "Share Button" Plugin...

A configurable Share Button widget that can be added to any web page

## Table of Contents​

- [Spec for "Share Button" Plugin...](#spec-for-%22share-button%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Share Button object on my page
- Perform a specified action once the Share Button is complete (redirect to next page, specific page, url, show popup, tag, etc.)

## Screens / States​

![]()

## Sections Used

- Presets
- Basic Button Properties
  --> icon size, background, caption
- Typography
- Actions
- Alignment
- Borders & Shadow

## Test Plan

| √   | Scenario                                                                 | Expected                                                                  |
| --- | ------------------------------------------------------------------------ | ------------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                      | A [Share Button Widget] appears                                           |
| √   | When a user drags the share button widget to the canvas                  | A simple Share Button appears                                             |
| √   | When a user clicks the [*] button on the widget                          | The Share Button properties box appears                                   |
| √   | When a user changes the layout (align, position)                         | Share Button settings adjust accordingly (both editor & live mode)        |
| √   | When a user configures the design (font, color, bg, border, shadow)      | Share Button settings adjust accordingly (both editor & live mode)        |
| √   | When a user publishes a page with the share button                       | The destination page shows the share button as specified on the live page |
| √   | When a user specifies an post Share Button action (redirect, popup, tag) | Share Button settings adjust accordingly (both editor & live mode)        |
| x   | When a user chooses a preset                                             | Share Button settings overwrite to the preset settings                    |
