## Spec for "Spacer" Plugin...

A configurable Spacer widget that can be added to any web page

## Table of Contents​

- [Spec for "Spacer" Plugin...](#spec-for-%22spacer%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Spacer object on my page

## Screens / States​

![]()

## Sections Used

- Position/Padding
- Alignment

## Test Plan

| √   | Scenario                                                            | Expected                                                            |
| --- | ------------------------------------------------------------------- | ------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [Spacer Widget] appears                                           |
| √   | When a user drags the Spacer widget to the canvas                   | A simple Spacer appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Spacer properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | Spacer settings adjust accordingly (both editor & live mode)        |
| √   | When a user configures the design (font, color, bg, border, shadow) | Spacer settings adjust accordingly (both editor & live mode)        |
| √   | When a user publishes a page with the Spacer                        | The destination page shows the Spacer as specified on the live page |
| √   | When a user specifies an post Spacer action (redirect, popup, tag)  | Spacer settings adjust accordingly (both editor & live mode)        |
| x   | When a user chooses a preset                                        | Spacer settings overwrite to the preset settings                    |
