## Spec for "Stepper" Plugin...

A configurable Stepper widget that can be added to any web page

## Table of Contents​

- [Spec for "Stepper" Plugin...](#spec-for-%22stepper%22-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Stepper object on my page
- Select a horizontal or vertical numbered stepper labels to a page
- List the steps & captions
- Select which step to show by default
- Choose from a few pre-built designs for me to choose from
- Control basic layout (width, height, alignment, up/down position)

## Screens / States​

![]()

## Sections Used

- Presets (style)
- Step Builder (crud list + caption + icon)
- Actions

## Test Plan

| √   | Scenario                                                            | Expected                                                             |
| --- | ------------------------------------------------------------------- | -------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [Stepper Widget] appears                                           |
| √   | When a user drags the Stepper widget to the canvas                  | A simple Stepper appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Stepper properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | settings adjust accordingly (both editor & live mode)                |
| √   | When a user configures the design (font, color, bg, border, shadow) | settings adjust accordingly (both editor & live mode)                |
| √   | When a user publishes a page with the Stepper                       | The destination page shows the Stepper as specified on the live page |
| x   | When a user chooses a preset                                        | settings overwrite to the preset settings                            |
