import * as React from "react";
import Table from "./component";
// import { Step } from "@sc/plugins/webcomponents/v2";
// import { themeSettings } from "@sc/plugins/webcomponents/v2/theme";

import settings from "./settings";
import {
  sampleContentData,
  EditorWithCustomData,
} from "@sc/modules/page/Builder/Builder.stories";

export default {
  title: "Plugins|Web Components/Moderate/Table",
  component: Table,
};

export const Default: React.FC = () => {
  return (
    <Table
      style={{ width: "90%", margin: "50px auto" }}
      fields={["Item", "Price"]}
      data={[
        [`One Time Charge`, "$1,997.00"],
        [`Coupon Discount`, "-$1,600.00"],
      ]}
      footer={[`SPECIAL TODAY:`, "$397.97"]}
    />
  );
};
export const InTheEditor: React.FC = () => {
  return (
    <EditorWithCustomData
      content={[
        { id: "CustomField", parent: "u5j1r64m5rf", ...settings.default },
        ...sampleContentData,
      ]}
    />
  );
};
