import { TestingComponent } from "./component";
import { ComponentTypes } from "../types";
import settings from "./settings";

export const onListItem = (hook, payload, action) => {
  if (hook.id == "webcomponent") {
    return [settings];
  }
};

export const onComponentRender = (hook, payload, actions) => {
  if (hook.id === "webcomponent" && payload.type === ComponentTypes.TESTING) {
    return [TestingComponent];
  }
};
