## Spec for "Form Field Plugin...

A configurable Form Field widget that can be added to any web page

## Table of Contents​

- [Spec for "Form Field Plugin...](#spec-for-%22form-field-plugin)
- [Table of Contents​](#table-of-contents%e2%80%8b)
- [Workflow](#workflow)
- [User Stories](#user-stories)
- [Screens / States​](#screens--states%e2%80%8b)
- [Sections Used](#sections-used)
- [Test Plan](#test-plan)

## Workflow

(N/A)​

## User Stories

As a user, I can...

- Add a Form Field object on my page

## Screens / States​

![]()

## Sections Used

- Placeholder
- Text Content (Content / Field Type)
- Typography
- Position/Padding
- Alignment
- Width/Height

* Borders & Shadow
* Actions

## Test Plan

| √   | Scenario                                                            | Expected                                                                |
| --- | ------------------------------------------------------------------- | ----------------------------------------------------------------------- |
| √   | When a user opens the [add new] tab                                 | A [Form Field Widget] appears                                           |
| √   | When a user drags the Form Field widget to the canvas               | A simple Form Field appears                                             |
| √   | When a user clicks the [*] button on the widget                     | The Form Field properties box appears                                   |
| √   | When a user changes the layout (align, position)                    | settings adjust accordingly (both editor & live mode)                   |
| √   | When a user configures the design (font, color, bg, border, shadow) | settings adjust accordingly (both editor & live mode)                   |
| √   | When a user publishes a page with the Form Field                    | The destination page shows the Form Field as specified on the live page |
| √   | When a user specifies an post action (redirect, popup, tag)         | settings adjust accordingly (both editor & live mode)                   |
| x   | When a user chooses a preset                                        | settings overwrite to the preset settings                               |
