import { SectionTypes } from "@sc/modules/v2/Properties/types";
import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";

const settings: IComponentSettings = {
  id: ComponentTypes.NAVIGATION,
  name: "Navigation",
  description: "",
  thumbnail: "comp_navigation.png",
  default: {
    type: ComponentTypes.NAVIGATION,
    html: "This is the version two Text Component",
    style: {
      display: "inline-block",
      padding: 5,
    },
  },
  properties: {
    main: {
      sections: [
        {
          tab: "Basic",
          type: SectionTypes.LISTSORTABLE,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.UPLOADGROUP,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.PRESETS,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.POSITIONPADDING,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.TYPOGRAPHY,
          settings: {},
        },
      ],
    },
  },
};

export default settings;
